
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x800036e0')]      |
| SIG_REGION                | [('0x80005204', '0x80005c3c', '654 words')]      |
| COV_LABELS                | mulhsu      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/mulhsu-01.S/mulhsu-01.S    |
| Total Number of coverpoints| 750     |
| Total Coverpoints Hit     | 744      |
| Total Signature Updates   | 654      |
| STAT1                     | 651      |
| STAT2                     | 3      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005b4]:mulhsu a2, a0, a1
      [0x800005b8]:sw a2, 208(ra)
 -- Signature Address: 0x8000530c Data: 0x00000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs2_val == 1048576
      - rs1_val == 512
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80001c18]:mulhsu a2, a0, a1
      [0x80001c1c]:sw a2, 1292(ra)
 -- Signature Address: 0x80005748 Data: 0x00000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val==0 and rs2_val==0
      - rs1_val == 0
      - rs2_val == 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800036cc]:mulhsu a2, a0, a1
      [0x800036d0]:sw a2, 508(ra)
 -- Signature Address: 0x80005c38 Data: 0x00000004
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs2_val == 4160749567
      - rs1_val > 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                                  coverpoints                                                                                                  |                                 code                                 |
|---:|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|
|   1|[0x80005204]<br>0x0000AAAA|- opcode : mulhsu<br> - rs1 : x11<br> - rs2 : x15<br> - rd : x15<br> - rs2 == rd != rs1<br> - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs2_val == 131072<br> - rs1_val > 0 and rs2_val > 0<br> |[0x8000008c]:mulhsu a5, a1, a5<br> [0x80000090]:sw a5, 0(tp)<br>      |
|   2|[0x80005208]<br>0xD5555555|- rs1 : x6<br> - rs2 : x9<br> - rd : x6<br> - rs1 == rd != rs2<br> - rs2_val == 2147483647<br> - rs1_val == -1431655766<br>                                                                                    |[0x800000a4]:mulhsu t1, t1, s1<br> [0x800000a8]:sw t1, 4(tp)<br>      |
|   3|[0x8000520c]<br>0x00000100|- rs1 : x8<br> - rs2 : x8<br> - rd : x8<br> - rs1 == rs2 == rd<br> - rs2_val == 1048576<br> - rs1_val == 1048576<br> - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0<br>                                  |[0x800000b4]:mulhsu fp, fp, fp<br> [0x800000b8]:sw fp, 8(tp)<br>      |
|   4|[0x80005210]<br>0x00000000|- rs1 : x0<br> - rs2 : x0<br> - rd : x11<br> - rs1 == rs2 != rd<br> - rs1_val==0 and rs2_val==0<br> - rs1_val == 0<br> - rs2_val == 0<br>                                                                      |[0x800000c4]:mulhsu a1, zero, zero<br> [0x800000c8]:sw a1, 12(tp)<br> |
|   5|[0x80005214]<br>0xFFFFFFF0|- rs1 : x9<br> - rs2 : x12<br> - rd : x13<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == 4026531839<br> - rs1_val == -17<br>                                                                   |[0x800000d8]:mulhsu a3, s1, a2<br> [0x800000dc]:sw a3, 16(tp)<br>     |
|   6|[0x80005218]<br>0x00000000|- rs1 : x2<br> - rs2 : x14<br> - rd : x0<br> - rs2_val == 4160749567<br>                                                                                                                                       |[0x800000ec]:mulhsu zero, sp, a4<br> [0x800000f0]:sw zero, 20(tp)<br> |
|   7|[0x8000521c]<br>0xFFFFFC0F|- rs1 : x3<br> - rs2 : x11<br> - rd : x12<br> - rs2_val == 4227858431<br> - rs1_val == -1025<br>                                                                                                               |[0x80000100]:mulhsu a2, gp, a1<br> [0x80000104]:sw a2, 24(tp)<br>     |
|   8|[0x80005220]<br>0x00000001|- rs1 : x5<br> - rs2 : x13<br> - rd : x1<br> - rs2_val == 4261412863<br> - rs1_val == 2<br>                                                                                                                    |[0x80000114]:mulhsu ra, t0, a3<br> [0x80000118]:sw ra, 28(tp)<br>     |
|   9|[0x80005224]<br>0xFFFFFFFE|- rs1 : x15<br> - rs2 : x7<br> - rd : x4<br> - rs2_val == 4278190079<br> - rs1_val == -2<br>                                                                                                                   |[0x80000130]:mulhsu tp, a5, t2<br> [0x80000134]:sw tp, 0(gp)<br>      |
|  10|[0x80005228]<br>0x0007FBFF|- rs1 : x7<br> - rs2 : x10<br> - rd : x9<br> - rs2_val == 4286578687<br> - rs1_val == 524288<br>                                                                                                               |[0x80000144]:mulhsu s1, t2, a0<br> [0x80000148]:sw s1, 4(gp)<br>      |
|  11|[0x8000522c]<br>0x000001FF|- rs1 : x14<br> - rs2 : x2<br> - rd : x5<br> - rs2_val == 4290772991<br> - rs1_val == 512<br>                                                                                                                  |[0x80000158]:mulhsu t0, a4, sp<br> [0x8000015c]:sw t0, 8(gp)<br>      |
|  12|[0x80005230]<br>0x554AAAAA|- rs1 : x1<br> - rs2 : x4<br> - rd : x10<br> - rs2_val == 4292870143<br> - rs1_val == 1431655765<br>                                                                                                           |[0x80000170]:mulhsu a0, ra, tp<br> [0x80000174]:sw a0, 12(gp)<br>     |
|  13|[0x80005234]<br>0x55500000|- rs1 : x12<br> - rs2 : x6<br> - rd : x2<br> - rs2_val == 4293918719<br>                                                                                                                                       |[0x80000188]:mulhsu sp, a2, t1<br> [0x8000018c]:sw sp, 16(gp)<br>     |
|  14|[0x80005238]<br>0xFFFFFBFF|- rs1 : x13<br> - rs2 : x1<br> - rd : x14<br> - rs2_val == 4294443007<br>                                                                                                                                      |[0x8000019c]:mulhsu a4, a3, ra<br> [0x800001a0]:sw a4, 20(gp)<br>     |
|  15|[0x8000523c]<br>0xC000FFFF|- rs1 : x4<br> - rs2 : x5<br> - rd : x3<br> - rs2_val == 4294705151<br> - rs1_val == -1073741825<br>                                                                                                           |[0x800001bc]:mulhsu gp, tp, t0<br> [0x800001c0]:sw gp, 0(ra)<br>      |
|  16|[0x80005240]<br>0x00000000|- rs1 : x10<br> - rs2 : x3<br> - rd : x7<br> - rs2_val == 4294836223<br>                                                                                                                                       |[0x800001d0]:mulhsu t2, a0, gp<br> [0x800001d4]:sw t2, 4(ra)<br>      |
|  17|[0x80005244]<br>0xFFFFFFFB|- rs2_val == 4294901759<br> - rs1_val == -5<br>                                                                                                                                                                |[0x800001e4]:mulhsu a2, a0, a1<br> [0x800001e8]:sw a2, 8(ra)<br>      |
|  18|[0x80005248]<br>0x0000B503|- rs2_val == 4294934527<br>                                                                                                                                                                                    |[0x800001fc]:mulhsu a2, a0, a1<br> [0x80000200]:sw a2, 12(ra)<br>     |
|  19|[0x8000524c]<br>0x00000002|- rs2_val == 4294950911<br>                                                                                                                                                                                    |[0x80000210]:mulhsu a2, a0, a1<br> [0x80000214]:sw a2, 16(ra)<br>     |
|  20|[0x80005250]<br>0xFFFFFFF9|- rs2_val == 4294959103<br>                                                                                                                                                                                    |[0x80000224]:mulhsu a2, a0, a1<br> [0x80000228]:sw a2, 20(ra)<br>     |
|  21|[0x80005254]<br>0x0000B504|- rs2_val == 4294963199<br>                                                                                                                                                                                    |[0x8000023c]:mulhsu a2, a0, a1<br> [0x80000240]:sw a2, 24(ra)<br>     |
|  22|[0x80005258]<br>0xAAAAAD55|- rs2_val == 4294965247<br>                                                                                                                                                                                    |[0x80000254]:mulhsu a2, a0, a1<br> [0x80000258]:sw a2, 28(ra)<br>     |
|  23|[0x8000525c]<br>0xFFFFFFFE|- rs2_val == 4294966271<br>                                                                                                                                                                                    |[0x80000264]:mulhsu a2, a0, a1<br> [0x80000268]:sw a2, 32(ra)<br>     |
|  24|[0x80005260]<br>0xFFFEFFFF|- rs2_val == 4294966783<br> - rs1_val == -65537<br>                                                                                                                                                            |[0x80000278]:mulhsu a2, a0, a1<br> [0x8000027c]:sw a2, 36(ra)<br>     |
|  25|[0x80005264]<br>0x03FFFFFB|- rs2_val == 4294967039<br> - rs1_val == 67108864<br>                                                                                                                                                          |[0x80000288]:mulhsu a2, a0, a1<br> [0x8000028c]:sw a2, 40(ra)<br>     |
|  26|[0x80005268]<br>0x66666632|- rs2_val == 4294967167<br>                                                                                                                                                                                    |[0x8000029c]:mulhsu a2, a0, a1<br> [0x800002a0]:sw a2, 44(ra)<br>     |
|  27|[0x8000526c]<br>0x00000002|- rs2_val == 4294967231<br>                                                                                                                                                                                    |[0x800002ac]:mulhsu a2, a0, a1<br> [0x800002b0]:sw a2, 48(ra)<br>     |
|  28|[0x80005270]<br>0x66666658|- rs2_val == 4294967263<br>                                                                                                                                                                                    |[0x800002c0]:mulhsu a2, a0, a1<br> [0x800002c4]:sw a2, 52(ra)<br>     |
|  29|[0x80005274]<br>0x00000005|- rs2_val == 4294967279<br>                                                                                                                                                                                    |[0x800002d0]:mulhsu a2, a0, a1<br> [0x800002d4]:sw a2, 56(ra)<br>     |
|  30|[0x80005278]<br>0xEFFFFFFF|- rs2_val == 4294967287<br> - rs1_val == -268435457<br>                                                                                                                                                        |[0x800002e4]:mulhsu a2, a0, a1<br> [0x800002e8]:sw a2, 60(ra)<br>     |
|  31|[0x8000527c]<br>0xFFFF4AFD|- rs2_val == 4294967291<br>                                                                                                                                                                                    |[0x800002f8]:mulhsu a2, a0, a1<br> [0x800002fc]:sw a2, 64(ra)<br>     |
|  32|[0x80005280]<br>0x00000003|- rs2_val == 4294967293<br> - rs1_val == 4<br>                                                                                                                                                                 |[0x80000308]:mulhsu a2, a0, a1<br> [0x8000030c]:sw a2, 68(ra)<br>     |
|  33|[0x80005284]<br>0xF7FFFFFF|- rs2_val == 4294967294<br> - rs1_val == -134217729<br>                                                                                                                                                        |[0x8000031c]:mulhsu a2, a0, a1<br> [0x80000320]:sw a2, 72(ra)<br>     |
|  34|[0x80005288]<br>0x7FF7FFFE|- rs1_val == 2147483647<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                                                                                                   |[0x80000334]:mulhsu a2, a0, a1<br> [0x80000338]:sw a2, 76(ra)<br>     |
|  35|[0x8000528c]<br>0xFFFFFFFE|- rs1_val == -536870913<br>                                                                                                                                                                                    |[0x80000348]:mulhsu a2, a0, a1<br> [0x8000034c]:sw a2, 80(ra)<br>     |
|  36|[0x80005290]<br>0xFFFFFFFF|- rs1_val == -67108865<br> - rs2_val == 8<br>                                                                                                                                                                  |[0x8000035c]:mulhsu a2, a0, a1<br> [0x80000360]:sw a2, 84(ra)<br>     |
|  37|[0x80005294]<br>0xFFFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                                                     |[0x80000370]:mulhsu a2, a0, a1<br> [0x80000374]:sw a2, 88(ra)<br>     |
|  38|[0x80005298]<br>0xFF000001|- rs1_val == -16777217<br>                                                                                                                                                                                     |[0x80000384]:mulhsu a2, a0, a1<br> [0x80000388]:sw a2, 92(ra)<br>     |
|  39|[0x8000529c]<br>0xFF800003|- rs1_val == -8388609<br>                                                                                                                                                                                      |[0x8000039c]:mulhsu a2, a0, a1<br> [0x800003a0]:sw a2, 96(ra)<br>     |
|  40|[0x800052a0]<br>0xFFFFFFC0|- rs1_val == -4194305<br>                                                                                                                                                                                      |[0x800003b4]:mulhsu a2, a0, a1<br> [0x800003b8]:sw a2, 100(ra)<br>    |
|  41|[0x800052a4]<br>0xFFE1FFFF|- rs1_val == -2097153<br>                                                                                                                                                                                      |[0x800003cc]:mulhsu a2, a0, a1<br> [0x800003d0]:sw a2, 104(ra)<br>    |
|  42|[0x800052a8]<br>0xFFFFFFFE|- rs1_val == -1048577<br> - rs2_val == 4096<br>                                                                                                                                                                |[0x800003e0]:mulhsu a2, a0, a1<br> [0x800003e4]:sw a2, 108(ra)<br>    |
|  43|[0x800052ac]<br>0xFFFFFEFF|- rs1_val == -524289<br> - rs2_val == 2097152<br>                                                                                                                                                              |[0x800003f4]:mulhsu a2, a0, a1<br> [0x800003f8]:sw a2, 112(ra)<br>    |
|  44|[0x800052b0]<br>0xFFFFF7FF|- rs1_val == -262145<br> - rs2_val == 33554432<br>                                                                                                                                                             |[0x80000408]:mulhsu a2, a0, a1<br> [0x8000040c]:sw a2, 116(ra)<br>    |
|  45|[0x800052b4]<br>0xFFFFFFFF|- rs1_val == -131073<br> - rs2_val == 8192<br>                                                                                                                                                                 |[0x8000041c]:mulhsu a2, a0, a1<br> [0x80000420]:sw a2, 120(ra)<br>    |
|  46|[0x800052b8]<br>0xFFFFFFFF|- rs1_val == -32769<br>                                                                                                                                                                                        |[0x80000430]:mulhsu a2, a0, a1<br> [0x80000434]:sw a2, 124(ra)<br>    |
|  47|[0x800052bc]<br>0xFFFFFFFF|- rs1_val == -16385<br> - rs2_val == 256<br>                                                                                                                                                                   |[0x80000444]:mulhsu a2, a0, a1<br> [0x80000448]:sw a2, 128(ra)<br>    |
|  48|[0x800052c0]<br>0xFFFFDFFF|- rs1_val == -8193<br>                                                                                                                                                                                         |[0x8000045c]:mulhsu a2, a0, a1<br> [0x80000460]:sw a2, 132(ra)<br>    |
|  49|[0x800052c4]<br>0xFFFFFFFF|- rs1_val == -4097<br>                                                                                                                                                                                         |[0x80000474]:mulhsu a2, a0, a1<br> [0x80000478]:sw a2, 136(ra)<br>    |
|  50|[0x800052c8]<br>0xFFFFF7FF|- rs1_val == -2049<br>                                                                                                                                                                                         |[0x80000488]:mulhsu a2, a0, a1<br> [0x8000048c]:sw a2, 140(ra)<br>    |
|  51|[0x800052cc]<br>0xFFFFFDFF|- rs1_val == -513<br>                                                                                                                                                                                          |[0x80000498]:mulhsu a2, a0, a1<br> [0x8000049c]:sw a2, 144(ra)<br>    |
|  52|[0x800052d0]<br>0xFFFFFEFF|- rs1_val == -257<br>                                                                                                                                                                                          |[0x800004a8]:mulhsu a2, a0, a1<br> [0x800004ac]:sw a2, 148(ra)<br>    |
|  53|[0x800052d4]<br>0xFFFFFFFF|- rs1_val == -129<br>                                                                                                                                                                                          |[0x800004b8]:mulhsu a2, a0, a1<br> [0x800004bc]:sw a2, 152(ra)<br>    |
|  54|[0x800052d8]<br>0xFFFFFFBF|- rs1_val == -65<br>                                                                                                                                                                                           |[0x800004c8]:mulhsu a2, a0, a1<br> [0x800004cc]:sw a2, 156(ra)<br>    |
|  55|[0x800052dc]<br>0xFFFFFFDF|- rs1_val == -33<br>                                                                                                                                                                                           |[0x800004dc]:mulhsu a2, a0, a1<br> [0x800004e0]:sw a2, 160(ra)<br>    |
|  56|[0x800052e0]<br>0xFFFFFFFD|- rs1_val == -9<br>                                                                                                                                                                                            |[0x800004f0]:mulhsu a2, a0, a1<br> [0x800004f4]:sw a2, 164(ra)<br>    |
|  57|[0x800052e4]<br>0xFFFFFFFD|- rs1_val == -3<br>                                                                                                                                                                                            |[0x80000504]:mulhsu a2, a0, a1<br> [0x80000508]:sw a2, 168(ra)<br>    |
|  58|[0x800052e8]<br>0x00000040|- rs2_val == 2147483648<br> - rs1_val == 128<br>                                                                                                                                                               |[0x80000514]:mulhsu a2, a0, a1<br> [0x80000518]:sw a2, 172(ra)<br>    |
|  59|[0x800052ec]<br>0x00000400|- rs2_val == 1073741824<br> - rs1_val == 4096<br>                                                                                                                                                              |[0x80000524]:mulhsu a2, a0, a1<br> [0x80000528]:sw a2, 176(ra)<br>    |
|  60|[0x800052f0]<br>0x08000000|- rs2_val == 536870912<br> - rs1_val == 1073741824<br>                                                                                                                                                         |[0x80000534]:mulhsu a2, a0, a1<br> [0x80000538]:sw a2, 180(ra)<br>    |
|  61|[0x800052f4]<br>0xFFFF7FFF|- rs2_val == 268435456<br>                                                                                                                                                                                     |[0x80000548]:mulhsu a2, a0, a1<br> [0x8000054c]:sw a2, 184(ra)<br>    |
|  62|[0x800052f8]<br>0xFFFFFFBF|- rs2_val == 134217728<br>                                                                                                                                                                                     |[0x8000055c]:mulhsu a2, a0, a1<br> [0x80000560]:sw a2, 188(ra)<br>    |
|  63|[0x800052fc]<br>0x01555555|- rs2_val == 67108864<br>                                                                                                                                                                                      |[0x80000570]:mulhsu a2, a0, a1<br> [0x80000574]:sw a2, 192(ra)<br>    |
|  64|[0x80005300]<br>0x00000000|- rs2_val == 16777216<br>                                                                                                                                                                                      |[0x80000580]:mulhsu a2, a0, a1<br> [0x80000584]:sw a2, 196(ra)<br>    |
|  65|[0x80005304]<br>0xFFFFFFFE|- rs2_val == 8388608<br>                                                                                                                                                                                       |[0x80000590]:mulhsu a2, a0, a1<br> [0x80000594]:sw a2, 200(ra)<br>    |
|  66|[0x80005308]<br>0x000CCCCC|- rs2_val == 4194304<br>                                                                                                                                                                                       |[0x800005a4]:mulhsu a2, a0, a1<br> [0x800005a8]:sw a2, 204(ra)<br>    |
|  67|[0x80005310]<br>0x0002AAAA|- rs2_val == 524288<br>                                                                                                                                                                                        |[0x800005c8]:mulhsu a2, a0, a1<br> [0x800005cc]:sw a2, 212(ra)<br>    |
|  68|[0x80005314]<br>0x00015555|- rs2_val == 262144<br>                                                                                                                                                                                        |[0x800005dc]:mulhsu a2, a0, a1<br> [0x800005e0]:sw a2, 216(ra)<br>    |
|  69|[0x80005318]<br>0x00000800|- rs2_val == 65536<br> - rs1_val == 134217728<br>                                                                                                                                                              |[0x800005ec]:mulhsu a2, a0, a1<br> [0x800005f0]:sw a2, 220(ra)<br>    |
|  70|[0x8000531c]<br>0xFFFFFDFF|- rs2_val == 32768<br>                                                                                                                                                                                         |[0x80000600]:mulhsu a2, a0, a1<br> [0x80000604]:sw a2, 224(ra)<br>    |
|  71|[0x80005320]<br>0x00000000|- rs2_val == 16384<br> - rs1_val == 1024<br>                                                                                                                                                                   |[0x80000610]:mulhsu a2, a0, a1<br> [0x80000614]:sw a2, 228(ra)<br>    |
|  72|[0x80005324]<br>0x00000000|- rs2_val == 2048<br>                                                                                                                                                                                          |[0x80000624]:mulhsu a2, a0, a1<br> [0x80000628]:sw a2, 232(ra)<br>    |
|  73|[0x80005328]<br>0x00000000|- rs2_val == 1024<br>                                                                                                                                                                                          |[0x80000634]:mulhsu a2, a0, a1<br> [0x80000638]:sw a2, 236(ra)<br>    |
|  74|[0x8000532c]<br>0xFFFFFFFF|- rs2_val == 512<br>                                                                                                                                                                                           |[0x80000644]:mulhsu a2, a0, a1<br> [0x80000648]:sw a2, 240(ra)<br>    |
|  75|[0x80005330]<br>0xFFFFFFFF|- rs2_val == 128<br>                                                                                                                                                                                           |[0x80000658]:mulhsu a2, a0, a1<br> [0x8000065c]:sw a2, 244(ra)<br>    |
|  76|[0x80005334]<br>0x00000019|- rs2_val == 64<br>                                                                                                                                                                                            |[0x8000066c]:mulhsu a2, a0, a1<br> [0x80000670]:sw a2, 248(ra)<br>    |
|  77|[0x80005338]<br>0x00000000|- rs2_val == 32<br> - rs1_val == 64<br>                                                                                                                                                                        |[0x8000067c]:mulhsu a2, a0, a1<br> [0x80000680]:sw a2, 252(ra)<br>    |
|  78|[0x8000533c]<br>0xFFFFFFFD|- rs2_val == 16<br>                                                                                                                                                                                            |[0x80000690]:mulhsu a2, a0, a1<br> [0x80000694]:sw a2, 256(ra)<br>    |
|  79|[0x80005340]<br>0x00000000|- rs2_val == 4<br> - rs1_val==858993458 and rs2_val==4<br>                                                                                                                                                     |[0x800006a4]:mulhsu a2, a0, a1<br> [0x800006a8]:sw a2, 260(ra)<br>    |
|  80|[0x80005344]<br>0x00000000|- rs2_val == 2<br> - rs1_val==0 and rs2_val==2<br>                                                                                                                                                             |[0x800006b4]:mulhsu a2, a0, a1<br> [0x800006b8]:sw a2, 264(ra)<br>    |
|  81|[0x80005348]<br>0x00000000|- rs2_val == 1<br>                                                                                                                                                                                             |[0x800006c8]:mulhsu a2, a0, a1<br> [0x800006cc]:sw a2, 268(ra)<br>    |
|  82|[0x8000534c]<br>0xFFFFFF80|- rs1_val == -2147483648<br> - rs1_val == (-2**(xlen-1))<br>                                                                                                                                                   |[0x800006d8]:mulhsu a2, a0, a1<br> [0x800006dc]:sw a2, 272(ra)<br>    |
|  83|[0x80005350]<br>0x00000001|- rs1_val == 536870912<br>                                                                                                                                                                                     |[0x800006e8]:mulhsu a2, a0, a1<br> [0x800006ec]:sw a2, 276(ra)<br>    |
|  84|[0x80005354]<br>0x00040000|- rs1_val == 268435456<br>                                                                                                                                                                                     |[0x800006f8]:mulhsu a2, a0, a1<br> [0x800006fc]:sw a2, 280(ra)<br>    |
|  85|[0x80005358]<br>0x00000000|- rs1_val == 33554432<br>                                                                                                                                                                                      |[0x80000708]:mulhsu a2, a0, a1<br> [0x8000070c]:sw a2, 284(ra)<br>    |
|  86|[0x8000535c]<br>0x00000001|- rs1_val == 16777216<br>                                                                                                                                                                                      |[0x80000718]:mulhsu a2, a0, a1<br> [0x8000071c]:sw a2, 288(ra)<br>    |
|  87|[0x80005360]<br>0x002AAAAA|- rs1_val == 8388608<br>                                                                                                                                                                                       |[0x8000072c]:mulhsu a2, a0, a1<br> [0x80000730]:sw a2, 292(ra)<br>    |
|  88|[0x80005364]<br>0x003FFDFF|- rs1_val == 4194304<br>                                                                                                                                                                                       |[0x80000740]:mulhsu a2, a0, a1<br> [0x80000744]:sw a2, 296(ra)<br>    |
|  89|[0x80005368]<br>0x001FFFEF|- rs1_val == 2097152<br>                                                                                                                                                                                       |[0x80000754]:mulhsu a2, a0, a1<br> [0x80000758]:sw a2, 300(ra)<br>    |
|  90|[0x8000536c]<br>0x00000040|- rs1_val == 262144<br>                                                                                                                                                                                        |[0x80000764]:mulhsu a2, a0, a1<br> [0x80000768]:sw a2, 304(ra)<br>    |
|  91|[0x80005370]<br>0x0001FFFF|- rs1_val == 131072<br>                                                                                                                                                                                        |[0x80000774]:mulhsu a2, a0, a1<br> [0x80000778]:sw a2, 308(ra)<br>    |
|  92|[0x80005374]<br>0x00000000|- rs1_val == 65536<br>                                                                                                                                                                                         |[0x80000784]:mulhsu a2, a0, a1<br> [0x80000788]:sw a2, 312(ra)<br>    |
|  93|[0x80005378]<br>0x00002AAA|- rs1_val == 32768<br> - rs2_val == 1431655765<br>                                                                                                                                                             |[0x80000798]:mulhsu a2, a0, a1<br> [0x8000079c]:sw a2, 316(ra)<br>    |
|  94|[0x8000537c]<br>0x00000000|- rs1_val == 16384<br>                                                                                                                                                                                         |[0x800007a8]:mulhsu a2, a0, a1<br> [0x800007ac]:sw a2, 320(ra)<br>    |
|  95|[0x80005380]<br>0x00000000|- rs1_val == 8192<br>                                                                                                                                                                                          |[0x800007b8]:mulhsu a2, a0, a1<br> [0x800007bc]:sw a2, 324(ra)<br>    |
|  96|[0x80005384]<br>0x00000000|- rs1_val == 2048<br>                                                                                                                                                                                          |[0x800007cc]:mulhsu a2, a0, a1<br> [0x800007d0]:sw a2, 328(ra)<br>    |
|  97|[0x80005388]<br>0x00000000|- rs1_val == 256<br>                                                                                                                                                                                           |[0x800007dc]:mulhsu a2, a0, a1<br> [0x800007e0]:sw a2, 332(ra)<br>    |
|  98|[0x8000538c]<br>0x00000000|- rs1_val == 32<br>                                                                                                                                                                                            |[0x800007ec]:mulhsu a2, a0, a1<br> [0x800007f0]:sw a2, 336(ra)<br>    |
|  99|[0x80005390]<br>0x00000000|- rs1_val == 16<br>                                                                                                                                                                                            |[0x800007fc]:mulhsu a2, a0, a1<br> [0x80000800]:sw a2, 340(ra)<br>    |
| 100|[0x80005394]<br>0x00000007|- rs1_val == 8<br>                                                                                                                                                                                             |[0x8000080c]:mulhsu a2, a0, a1<br> [0x80000810]:sw a2, 344(ra)<br>    |
| 101|[0x80005398]<br>0x00000000|- rs1_val == 1<br>                                                                                                                                                                                             |[0x80000820]:mulhsu a2, a0, a1<br> [0x80000824]:sw a2, 348(ra)<br>    |
| 102|[0x8000539c]<br>0x00000000|- rs1_val==46341 and rs2_val==65536<br>                                                                                                                                                                        |[0x80000834]:mulhsu a2, a0, a1<br> [0x80000838]:sw a2, 352(ra)<br>    |
| 103|[0x800053a0]<br>0x00000000|- rs1_val==46341 and rs2_val==1<br>                                                                                                                                                                            |[0x80000848]:mulhsu a2, a0, a1<br> [0x8000084c]:sw a2, 356(ra)<br>    |
| 104|[0x800053a4]<br>0x00000000|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                                                        |[0x80000860]:mulhsu a2, a0, a1<br> [0x80000864]:sw a2, 360(ra)<br>    |
| 105|[0x800053a8]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                                                                   |[0x80000878]:mulhsu a2, a0, a1<br> [0x8000087c]:sw a2, 364(ra)<br>    |
| 106|[0x800053ac]<br>0x00002434|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                                                    |[0x80000890]:mulhsu a2, a0, a1<br> [0x80000894]:sw a2, 368(ra)<br>    |
| 107|[0x800053b0]<br>0x00000000|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                                                            |[0x800008a4]:mulhsu a2, a0, a1<br> [0x800008a8]:sw a2, 372(ra)<br>    |
| 108|[0x800053b4]<br>0x000078AE|- rs1_val==46341 and rs2_val==2863311531<br>                                                                                                                                                                   |[0x800008bc]:mulhsu a2, a0, a1<br> [0x800008c0]:sw a2, 376(ra)<br>    |
| 109|[0x800053b8]<br>0x00003C57|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                                                                   |[0x800008d4]:mulhsu a2, a0, a1<br> [0x800008d8]:sw a2, 380(ra)<br>    |
| 110|[0x800053bc]<br>0x00000000|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                                                            |[0x800008e8]:mulhsu a2, a0, a1<br> [0x800008ec]:sw a2, 384(ra)<br>    |
| 111|[0x800053c0]<br>0x00000000|- rs1_val==46341 and rs2_val==65534<br>                                                                                                                                                                        |[0x80000900]:mulhsu a2, a0, a1<br> [0x80000904]:sw a2, 388(ra)<br>    |
| 112|[0x800053c4]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                                                            |[0x80000914]:mulhsu a2, a0, a1<br> [0x80000918]:sw a2, 392(ra)<br>    |
| 113|[0x800053c8]<br>0x00000000|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                                                        |[0x8000092c]:mulhsu a2, a0, a1<br> [0x80000930]:sw a2, 396(ra)<br>    |
| 114|[0x800053cc]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                                                                   |[0x80000944]:mulhsu a2, a0, a1<br> [0x80000948]:sw a2, 400(ra)<br>    |
| 115|[0x800053d0]<br>0x00002434|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                                                    |[0x8000095c]:mulhsu a2, a0, a1<br> [0x80000960]:sw a2, 404(ra)<br>    |
| 116|[0x800053d4]<br>0x000078AD|- rs1_val==46341 and rs2_val==2863311529<br>                                                                                                                                                                   |[0x80000974]:mulhsu a2, a0, a1<br> [0x80000978]:sw a2, 408(ra)<br>    |
| 117|[0x800053d8]<br>0x00003C56|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                                                                   |[0x8000098c]:mulhsu a2, a0, a1<br> [0x80000990]:sw a2, 412(ra)<br>    |
| 118|[0x800053dc]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                                                            |[0x800009a0]:mulhsu a2, a0, a1<br> [0x800009a4]:sw a2, 416(ra)<br>    |
| 119|[0x800053e0]<br>0x00000000|- rs1_val==46341 and rs2_val==65535<br>                                                                                                                                                                        |[0x800009b8]:mulhsu a2, a0, a1<br> [0x800009bc]:sw a2, 420(ra)<br>    |
| 120|[0x800053e4]<br>0x00000000|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                                                        |[0x800009d0]:mulhsu a2, a0, a1<br> [0x800009d4]:sw a2, 424(ra)<br>    |
| 121|[0x800053e8]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                                                                   |[0x800009e8]:mulhsu a2, a0, a1<br> [0x800009ec]:sw a2, 428(ra)<br>    |
| 122|[0x800053ec]<br>0x00002434|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                                                    |[0x80000a00]:mulhsu a2, a0, a1<br> [0x80000a04]:sw a2, 432(ra)<br>    |
| 123|[0x800053f0]<br>0x00000000|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                                                            |[0x80000a14]:mulhsu a2, a0, a1<br> [0x80000a18]:sw a2, 436(ra)<br>    |
| 124|[0x800053f4]<br>0x000078AD|- rs1_val==46341 and rs2_val==2863311530<br> - rs2_val == 2863311530<br>                                                                                                                                       |[0x80000a2c]:mulhsu a2, a0, a1<br> [0x80000a30]:sw a2, 440(ra)<br>    |
| 125|[0x800053f8]<br>0x00003C56|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                                                                   |[0x80000a44]:mulhsu a2, a0, a1<br> [0x80000a48]:sw a2, 444(ra)<br>    |
| 126|[0x800053fc]<br>0x00000000|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                                                            |[0x80000a58]:mulhsu a2, a0, a1<br> [0x80000a5c]:sw a2, 448(ra)<br>    |
| 127|[0x80005400]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65536<br>                                                                                                                                                                       |[0x80000a6c]:mulhsu a2, a0, a1<br> [0x80000a70]:sw a2, 452(ra)<br>    |
| 128|[0x80005404]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==1<br>                                                                                                                                                                           |[0x80000a80]:mulhsu a2, a0, a1<br> [0x80000a84]:sw a2, 456(ra)<br>    |
| 129|[0x80005408]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                                                       |[0x80000a98]:mulhsu a2, a0, a1<br> [0x80000a9c]:sw a2, 460(ra)<br>    |
| 130|[0x8000540c]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                                                                  |[0x80000ab0]:mulhsu a2, a0, a1<br> [0x80000ab4]:sw a2, 464(ra)<br>    |
| 131|[0x80005410]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                                                                   |[0x80000ac8]:mulhsu a2, a0, a1<br> [0x80000acc]:sw a2, 468(ra)<br>    |
| 132|[0x80005414]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                                                           |[0x80000adc]:mulhsu a2, a0, a1<br> [0x80000ae0]:sw a2, 472(ra)<br>    |
| 133|[0x80005418]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311531<br>                                                                                                                                                                  |[0x80000af4]:mulhsu a2, a0, a1<br> [0x80000af8]:sw a2, 476(ra)<br>    |
| 134|[0x8000541c]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                                                                  |[0x80000b0c]:mulhsu a2, a0, a1<br> [0x80000b10]:sw a2, 480(ra)<br>    |
| 135|[0x80005420]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                                                           |[0x80000b20]:mulhsu a2, a0, a1<br> [0x80000b24]:sw a2, 484(ra)<br>    |
| 136|[0x80005424]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65534<br>                                                                                                                                                                       |[0x80000b38]:mulhsu a2, a0, a1<br> [0x80000b3c]:sw a2, 488(ra)<br>    |
| 137|[0x80005428]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                                                           |[0x80000b4c]:mulhsu a2, a0, a1<br> [0x80000b50]:sw a2, 492(ra)<br>    |
| 138|[0x8000542c]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                                                       |[0x80000b64]:mulhsu a2, a0, a1<br> [0x80000b68]:sw a2, 496(ra)<br>    |
| 139|[0x80005430]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                                                                  |[0x80000b7c]:mulhsu a2, a0, a1<br> [0x80000b80]:sw a2, 500(ra)<br>    |
| 140|[0x80005434]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                                                                   |[0x80000b94]:mulhsu a2, a0, a1<br> [0x80000b98]:sw a2, 504(ra)<br>    |
| 141|[0x80005438]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311529<br>                                                                                                                                                                  |[0x80000bac]:mulhsu a2, a0, a1<br> [0x80000bb0]:sw a2, 508(ra)<br>    |
| 142|[0x8000543c]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                                                                  |[0x80000bc4]:mulhsu a2, a0, a1<br> [0x80000bc8]:sw a2, 512(ra)<br>    |
| 143|[0x80005440]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                                                           |[0x80000bd8]:mulhsu a2, a0, a1<br> [0x80000bdc]:sw a2, 516(ra)<br>    |
| 144|[0x80005444]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65535<br>                                                                                                                                                                       |[0x80000bf0]:mulhsu a2, a0, a1<br> [0x80000bf4]:sw a2, 520(ra)<br>    |
| 145|[0x80005448]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                                                       |[0x80000c08]:mulhsu a2, a0, a1<br> [0x80000c0c]:sw a2, 524(ra)<br>    |
| 146|[0x8000544c]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                                                                  |[0x80000c20]:mulhsu a2, a0, a1<br> [0x80000c24]:sw a2, 528(ra)<br>    |
| 147|[0x80005450]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                                                                   |[0x80000c38]:mulhsu a2, a0, a1<br> [0x80000c3c]:sw a2, 532(ra)<br>    |
| 148|[0x80005454]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                                                           |[0x80000c4c]:mulhsu a2, a0, a1<br> [0x80000c50]:sw a2, 536(ra)<br>    |
| 149|[0x80005458]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311530<br>                                                                                                                                                                  |[0x80000c64]:mulhsu a2, a0, a1<br> [0x80000c68]:sw a2, 540(ra)<br>    |
| 150|[0x8000545c]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                                                                  |[0x80000c7c]:mulhsu a2, a0, a1<br> [0x80000c80]:sw a2, 544(ra)<br>    |
| 151|[0x80005460]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                                                           |[0x80000c90]:mulhsu a2, a0, a1<br> [0x80000c94]:sw a2, 548(ra)<br>    |
| 152|[0x80005464]<br>0x00006666|- rs1_val==1717986919 and rs2_val==65536<br>                                                                                                                                                                   |[0x80000ca4]:mulhsu a2, a0, a1<br> [0x80000ca8]:sw a2, 552(ra)<br>    |
| 153|[0x80005468]<br>0x00000000|- rs1_val==1717986919 and rs2_val==1<br>                                                                                                                                                                       |[0x80000cb8]:mulhsu a2, a0, a1<br> [0x80000cbc]:sw a2, 556(ra)<br>    |
| 154|[0x8000546c]<br>0x00004868|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                                                                   |[0x80000cd0]:mulhsu a2, a0, a1<br> [0x80000cd4]:sw a2, 560(ra)<br>    |
| 155|[0x80005470]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                                                              |[0x80000ce8]:mulhsu a2, a0, a1<br> [0x80000cec]:sw a2, 564(ra)<br>    |
| 156|[0x80005474]<br>0x147AE148|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                                                               |[0x80000d00]:mulhsu a2, a0, a1<br> [0x80000d04]:sw a2, 568(ra)<br>    |
| 157|[0x80005478]<br>0x00000002|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                                                       |[0x80000d14]:mulhsu a2, a0, a1<br> [0x80000d18]:sw a2, 572(ra)<br>    |
| 158|[0x8000547c]<br>0x44444444|- rs1_val==1717986919 and rs2_val==2863311531<br>                                                                                                                                                              |[0x80000d2c]:mulhsu a2, a0, a1<br> [0x80000d30]:sw a2, 576(ra)<br>    |
| 159|[0x80005480]<br>0x22222222|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                                                              |[0x80000d44]:mulhsu a2, a0, a1<br> [0x80000d48]:sw a2, 580(ra)<br>    |
| 160|[0x80005484]<br>0x00000001|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                                                       |[0x80000d58]:mulhsu a2, a0, a1<br> [0x80000d5c]:sw a2, 584(ra)<br>    |
| 161|[0x80005488]<br>0x00006665|- rs1_val==1717986919 and rs2_val==65534<br>                                                                                                                                                                   |[0x80000d70]:mulhsu a2, a0, a1<br> [0x80000d74]:sw a2, 588(ra)<br>    |
| 162|[0x8000548c]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                                                       |[0x80000d84]:mulhsu a2, a0, a1<br> [0x80000d88]:sw a2, 592(ra)<br>    |
| 163|[0x80005490]<br>0x00004867|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                                                                   |[0x80000d9c]:mulhsu a2, a0, a1<br> [0x80000da0]:sw a2, 596(ra)<br>    |
| 164|[0x80005494]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                                                              |[0x80000db4]:mulhsu a2, a0, a1<br> [0x80000db8]:sw a2, 600(ra)<br>    |
| 165|[0x80005498]<br>0x147AE147|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                                                               |[0x80000dcc]:mulhsu a2, a0, a1<br> [0x80000dd0]:sw a2, 604(ra)<br>    |
| 166|[0x8000549c]<br>0x44444443|- rs1_val==1717986919 and rs2_val==2863311529<br>                                                                                                                                                              |[0x80000de4]:mulhsu a2, a0, a1<br> [0x80000de8]:sw a2, 608(ra)<br>    |
| 167|[0x800054a0]<br>0x22222221|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80000dfc]:mulhsu a2, a0, a1<br> [0x80000e00]:sw a2, 612(ra)<br>    |
| 168|[0x800054a4]<br>0x00000000|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                                                       |[0x80000e10]:mulhsu a2, a0, a1<br> [0x80000e14]:sw a2, 616(ra)<br>    |
| 169|[0x800054a8]<br>0x00006666|- rs1_val==1717986919 and rs2_val==65535<br>                                                                                                                                                                   |[0x80000e28]:mulhsu a2, a0, a1<br> [0x80000e2c]:sw a2, 620(ra)<br>    |
| 170|[0x800054ac]<br>0x00004868|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                                                                   |[0x80000e40]:mulhsu a2, a0, a1<br> [0x80000e44]:sw a2, 624(ra)<br>    |
| 171|[0x800054b0]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                                                              |[0x80000e58]:mulhsu a2, a0, a1<br> [0x80000e5c]:sw a2, 628(ra)<br>    |
| 172|[0x800054b4]<br>0x147AE147|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                                                               |[0x80000e70]:mulhsu a2, a0, a1<br> [0x80000e74]:sw a2, 632(ra)<br>    |
| 173|[0x800054b8]<br>0x00000002|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                                                       |[0x80000e84]:mulhsu a2, a0, a1<br> [0x80000e88]:sw a2, 636(ra)<br>    |
| 174|[0x800054bc]<br>0x44444444|- rs1_val==1717986919 and rs2_val==2863311530<br>                                                                                                                                                              |[0x80000e9c]:mulhsu a2, a0, a1<br> [0x80000ea0]:sw a2, 640(ra)<br>    |
| 175|[0x800054c0]<br>0x22222222|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                                                              |[0x80000eb4]:mulhsu a2, a0, a1<br> [0x80000eb8]:sw a2, 644(ra)<br>    |
| 176|[0x800054c4]<br>0x00000001|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                                                       |[0x80000ec8]:mulhsu a2, a0, a1<br> [0x80000ecc]:sw a2, 648(ra)<br>    |
| 177|[0x800054c8]<br>0x00003333|- rs1_val==858993460 and rs2_val==65536<br>                                                                                                                                                                    |[0x80000edc]:mulhsu a2, a0, a1<br> [0x80000ee0]:sw a2, 652(ra)<br>    |
| 178|[0x800054cc]<br>0x00000000|- rs1_val==858993460 and rs2_val==1<br>                                                                                                                                                                        |[0x80000ef0]:mulhsu a2, a0, a1<br> [0x80000ef4]:sw a2, 656(ra)<br>    |
| 179|[0x800054d0]<br>0x00002434|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                                                    |[0x80000f08]:mulhsu a2, a0, a1<br> [0x80000f0c]:sw a2, 660(ra)<br>    |
| 180|[0x800054d4]<br>0x147AE148|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                                                               |[0x80000f20]:mulhsu a2, a0, a1<br> [0x80000f24]:sw a2, 664(ra)<br>    |
| 181|[0x800054d8]<br>0x0A3D70A4|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                                                                |[0x80000f38]:mulhsu a2, a0, a1<br> [0x80000f3c]:sw a2, 668(ra)<br>    |
| 182|[0x800054dc]<br>0x00000001|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                                                        |[0x80000f4c]:mulhsu a2, a0, a1<br> [0x80000f50]:sw a2, 672(ra)<br>    |
| 183|[0x800054e0]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311531<br>                                                                                                                                                               |[0x80000f64]:mulhsu a2, a0, a1<br> [0x80000f68]:sw a2, 676(ra)<br>    |
| 184|[0x800054e4]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                                                               |[0x80000f7c]:mulhsu a2, a0, a1<br> [0x80000f80]:sw a2, 680(ra)<br>    |
| 185|[0x800054e8]<br>0x00000000|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                                                        |[0x80000f90]:mulhsu a2, a0, a1<br> [0x80000f94]:sw a2, 684(ra)<br>    |
| 186|[0x800054ec]<br>0x00003332|- rs1_val==858993460 and rs2_val==65534<br>                                                                                                                                                                    |[0x80000fa8]:mulhsu a2, a0, a1<br> [0x80000fac]:sw a2, 688(ra)<br>    |
| 187|[0x800054f0]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                                                        |[0x80000fbc]:mulhsu a2, a0, a1<br> [0x80000fc0]:sw a2, 692(ra)<br>    |
| 188|[0x800054f4]<br>0x00002433|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                                                    |[0x80000fd4]:mulhsu a2, a0, a1<br> [0x80000fd8]:sw a2, 696(ra)<br>    |
| 189|[0x800054f8]<br>0x147AE147|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                                                               |[0x80000fec]:mulhsu a2, a0, a1<br> [0x80000ff0]:sw a2, 700(ra)<br>    |
| 190|[0x800054fc]<br>0x0A3D70A3|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                                                                |[0x80001004]:mulhsu a2, a0, a1<br> [0x80001008]:sw a2, 704(ra)<br>    |
| 191|[0x80005500]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311529<br>                                                                                                                                                               |[0x8000101c]:mulhsu a2, a0, a1<br> [0x80001020]:sw a2, 708(ra)<br>    |
| 192|[0x80005504]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                                                               |[0x80001034]:mulhsu a2, a0, a1<br> [0x80001038]:sw a2, 712(ra)<br>    |
| 193|[0x80005508]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                                                        |[0x80001048]:mulhsu a2, a0, a1<br> [0x8000104c]:sw a2, 716(ra)<br>    |
| 194|[0x8000550c]<br>0x00003333|- rs1_val==858993460 and rs2_val==65535<br>                                                                                                                                                                    |[0x80001060]:mulhsu a2, a0, a1<br> [0x80001064]:sw a2, 720(ra)<br>    |
| 195|[0x80005510]<br>0x00002434|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                                                    |[0x80001078]:mulhsu a2, a0, a1<br> [0x8000107c]:sw a2, 724(ra)<br>    |
| 196|[0x80005514]<br>0x147AE147|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                                                               |[0x80001090]:mulhsu a2, a0, a1<br> [0x80001094]:sw a2, 728(ra)<br>    |
| 197|[0x80005518]<br>0x0A3D70A3|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                                                                |[0x800010a8]:mulhsu a2, a0, a1<br> [0x800010ac]:sw a2, 732(ra)<br>    |
| 198|[0x8000551c]<br>0x00000001|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                                                        |[0x800010bc]:mulhsu a2, a0, a1<br> [0x800010c0]:sw a2, 736(ra)<br>    |
| 199|[0x80005520]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311530<br>                                                                                                                                                               |[0x800010d4]:mulhsu a2, a0, a1<br> [0x800010d8]:sw a2, 740(ra)<br>    |
| 200|[0x80005524]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                                                               |[0x800010ec]:mulhsu a2, a0, a1<br> [0x800010f0]:sw a2, 744(ra)<br>    |
| 201|[0x80005528]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                                                        |[0x80001100]:mulhsu a2, a0, a1<br> [0x80001104]:sw a2, 748(ra)<br>    |
| 202|[0x8000552c]<br>0x00000000|- rs1_val==6 and rs2_val==65536<br>                                                                                                                                                                            |[0x80001110]:mulhsu a2, a0, a1<br> [0x80001114]:sw a2, 752(ra)<br>    |
| 203|[0x80005530]<br>0x00000000|- rs1_val==6 and rs2_val==1<br>                                                                                                                                                                                |[0x80001120]:mulhsu a2, a0, a1<br> [0x80001124]:sw a2, 756(ra)<br>    |
| 204|[0x80005534]<br>0x00000000|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                                                            |[0x80001134]:mulhsu a2, a0, a1<br> [0x80001138]:sw a2, 760(ra)<br>    |
| 205|[0x80005538]<br>0x00000002|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x80001148]:mulhsu a2, a0, a1<br> [0x8000114c]:sw a2, 764(ra)<br>    |
| 206|[0x8000553c]<br>0x00000001|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                                                        |[0x8000115c]:mulhsu a2, a0, a1<br> [0x80001160]:sw a2, 768(ra)<br>    |
| 207|[0x80005540]<br>0x00000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                |[0x8000116c]:mulhsu a2, a0, a1<br> [0x80001170]:sw a2, 772(ra)<br>    |
| 208|[0x80005544]<br>0x00000004|- rs1_val==6 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x80001180]:mulhsu a2, a0, a1<br> [0x80001184]:sw a2, 776(ra)<br>    |
| 209|[0x80005548]<br>0x00000002|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x80001194]:mulhsu a2, a0, a1<br> [0x80001198]:sw a2, 780(ra)<br>    |
| 210|[0x8000554c]<br>0x00000000|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                                |[0x800011a4]:mulhsu a2, a0, a1<br> [0x800011a8]:sw a2, 784(ra)<br>    |
| 211|[0x80005550]<br>0x00000000|- rs1_val==6 and rs2_val==65534<br>                                                                                                                                                                            |[0x800011b8]:mulhsu a2, a0, a1<br> [0x800011bc]:sw a2, 788(ra)<br>    |
| 212|[0x80005554]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                |[0x800011c8]:mulhsu a2, a0, a1<br> [0x800011cc]:sw a2, 792(ra)<br>    |
| 213|[0x80005558]<br>0x00000000|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                                                            |[0x800011dc]:mulhsu a2, a0, a1<br> [0x800011e0]:sw a2, 796(ra)<br>    |
| 214|[0x8000555c]<br>0x00000002|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x800011f0]:mulhsu a2, a0, a1<br> [0x800011f4]:sw a2, 800(ra)<br>    |
| 215|[0x80005560]<br>0x00000001|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                                                        |[0x80001204]:mulhsu a2, a0, a1<br> [0x80001208]:sw a2, 804(ra)<br>    |
| 216|[0x80005564]<br>0x00000003|- rs1_val==6 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x80001218]:mulhsu a2, a0, a1<br> [0x8000121c]:sw a2, 808(ra)<br>    |
| 217|[0x80005568]<br>0x00000001|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x8000122c]:mulhsu a2, a0, a1<br> [0x80001230]:sw a2, 812(ra)<br>    |
| 218|[0x8000556c]<br>0x00000000|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                |[0x8000123c]:mulhsu a2, a0, a1<br> [0x80001240]:sw a2, 816(ra)<br>    |
| 219|[0x80005570]<br>0x00000000|- rs1_val==6 and rs2_val==65535<br>                                                                                                                                                                            |[0x80001250]:mulhsu a2, a0, a1<br> [0x80001254]:sw a2, 820(ra)<br>    |
| 220|[0x80005574]<br>0x00000000|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                                                            |[0x80001264]:mulhsu a2, a0, a1<br> [0x80001268]:sw a2, 824(ra)<br>    |
| 221|[0x80005578]<br>0x00000002|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x80001278]:mulhsu a2, a0, a1<br> [0x8000127c]:sw a2, 828(ra)<br>    |
| 222|[0x8000557c]<br>0x00000001|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                                                        |[0x8000128c]:mulhsu a2, a0, a1<br> [0x80001290]:sw a2, 832(ra)<br>    |
| 223|[0x80005580]<br>0x00000000|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                |[0x8000129c]:mulhsu a2, a0, a1<br> [0x800012a0]:sw a2, 836(ra)<br>    |
| 224|[0x80005584]<br>0x00000003|- rs1_val==6 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x800012b0]:mulhsu a2, a0, a1<br> [0x800012b4]:sw a2, 840(ra)<br>    |
| 225|[0x80005588]<br>0x00000001|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x800012c4]:mulhsu a2, a0, a1<br> [0x800012c8]:sw a2, 844(ra)<br>    |
| 226|[0x8000558c]<br>0x00000000|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                |[0x800012d4]:mulhsu a2, a0, a1<br> [0x800012d8]:sw a2, 848(ra)<br>    |
| 227|[0x80005590]<br>0xFFFFAAAA|- rs1_val==-1431655765 and rs2_val==65536<br>                                                                                                                                                                  |[0x800012e8]:mulhsu a2, a0, a1<br> [0x800012ec]:sw a2, 852(ra)<br>    |
| 228|[0x80005594]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1<br>                                                                                                                                                                      |[0x800012fc]:mulhsu a2, a0, a1<br> [0x80001300]:sw a2, 856(ra)<br>    |
| 229|[0x80005598]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                                                                  |[0x80001314]:mulhsu a2, a0, a1<br> [0x80001318]:sw a2, 860(ra)<br>    |
| 230|[0x8000559c]<br>0xDDDDDDDD|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                                                             |[0x8000132c]:mulhsu a2, a0, a1<br> [0x80001330]:sw a2, 864(ra)<br>    |
| 231|[0x800055a0]<br>0xEEEEEEEE|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                                                              |[0x80001344]:mulhsu a2, a0, a1<br> [0x80001348]:sw a2, 868(ra)<br>    |
| 232|[0x800055a4]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                                                      |[0x80001358]:mulhsu a2, a0, a1<br> [0x8000135c]:sw a2, 872(ra)<br>    |
| 233|[0x800055a8]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311531<br>                                                                                                                                                             |[0x80001370]:mulhsu a2, a0, a1<br> [0x80001374]:sw a2, 876(ra)<br>    |
| 234|[0x800055ac]<br>0xE38E38E3|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                                                             |[0x80001388]:mulhsu a2, a0, a1<br> [0x8000138c]:sw a2, 880(ra)<br>    |
| 235|[0x800055b0]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                                                      |[0x8000139c]:mulhsu a2, a0, a1<br> [0x800013a0]:sw a2, 884(ra)<br>    |
| 236|[0x800055b4]<br>0xFFFFAAAB|- rs1_val==-1431655765 and rs2_val==65534<br>                                                                                                                                                                  |[0x800013b4]:mulhsu a2, a0, a1<br> [0x800013b8]:sw a2, 888(ra)<br>    |
| 237|[0x800055b8]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                                                      |[0x800013c8]:mulhsu a2, a0, a1<br> [0x800013cc]:sw a2, 892(ra)<br>    |
| 238|[0x800055bc]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                                                                  |[0x800013e0]:mulhsu a2, a0, a1<br> [0x800013e4]:sw a2, 896(ra)<br>    |
| 239|[0x800055c0]<br>0xDDDDDDDE|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                                                             |[0x800013f8]:mulhsu a2, a0, a1<br> [0x800013fc]:sw a2, 900(ra)<br>    |
| 240|[0x800055c4]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                                                              |[0x80001410]:mulhsu a2, a0, a1<br> [0x80001414]:sw a2, 904(ra)<br>    |
| 241|[0x800055c8]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311529<br>                                                                                                                                                             |[0x80001428]:mulhsu a2, a0, a1<br> [0x8000142c]:sw a2, 908(ra)<br>    |
| 242|[0x800055cc]<br>0xE38E38E4|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                                                             |[0x80001440]:mulhsu a2, a0, a1<br> [0x80001444]:sw a2, 912(ra)<br>    |
| 243|[0x800055d0]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                                                      |[0x80001454]:mulhsu a2, a0, a1<br> [0x80001458]:sw a2, 916(ra)<br>    |
| 244|[0x800055d4]<br>0xFFFFAAAB|- rs1_val==-1431655765 and rs2_val==65535<br>                                                                                                                                                                  |[0x8000146c]:mulhsu a2, a0, a1<br> [0x80001470]:sw a2, 920(ra)<br>    |
| 245|[0x800055d8]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                                                                  |[0x80001484]:mulhsu a2, a0, a1<br> [0x80001488]:sw a2, 924(ra)<br>    |
| 246|[0x800055dc]<br>0xDDDDDDDE|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                                                             |[0x8000149c]:mulhsu a2, a0, a1<br> [0x800014a0]:sw a2, 928(ra)<br>    |
| 247|[0x800055e0]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                                                              |[0x800014b4]:mulhsu a2, a0, a1<br> [0x800014b8]:sw a2, 932(ra)<br>    |
| 248|[0x800055e4]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                                                      |[0x800014c8]:mulhsu a2, a0, a1<br> [0x800014cc]:sw a2, 936(ra)<br>    |
| 249|[0x800055e8]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311530<br>                                                                                                                                                             |[0x800014e0]:mulhsu a2, a0, a1<br> [0x800014e4]:sw a2, 940(ra)<br>    |
| 250|[0x800055ec]<br>0xE38E38E3|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                                                             |[0x800014f8]:mulhsu a2, a0, a1<br> [0x800014fc]:sw a2, 944(ra)<br>    |
| 251|[0x800055f0]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                                                      |[0x8000150c]:mulhsu a2, a0, a1<br> [0x80001510]:sw a2, 948(ra)<br>    |
| 252|[0x800055f4]<br>0x00005555|- rs1_val==1431655766 and rs2_val==65536<br>                                                                                                                                                                   |[0x80001520]:mulhsu a2, a0, a1<br> [0x80001524]:sw a2, 952(ra)<br>    |
| 253|[0x800055f8]<br>0x00000000|- rs1_val==1431655766 and rs2_val==1<br>                                                                                                                                                                       |[0x80001534]:mulhsu a2, a0, a1<br> [0x80001538]:sw a2, 956(ra)<br>    |
| 254|[0x800055fc]<br>0x00003C57|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                                                                   |[0x8000154c]:mulhsu a2, a0, a1<br> [0x80001550]:sw a2, 960(ra)<br>    |
| 255|[0x80005600]<br>0x22222222|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                                                              |[0x80001564]:mulhsu a2, a0, a1<br> [0x80001568]:sw a2, 964(ra)<br>    |
| 256|[0x80005604]<br>0x11111111|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                                                               |[0x8000157c]:mulhsu a2, a0, a1<br> [0x80001580]:sw a2, 968(ra)<br>    |
| 257|[0x80005608]<br>0x00000002|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                                                       |[0x80001590]:mulhsu a2, a0, a1<br> [0x80001594]:sw a2, 972(ra)<br>    |
| 258|[0x8000560c]<br>0x38E38E39|- rs1_val==1431655766 and rs2_val==2863311531<br>                                                                                                                                                              |[0x800015a8]:mulhsu a2, a0, a1<br> [0x800015ac]:sw a2, 976(ra)<br>    |
| 259|[0x80005610]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                                                              |[0x800015c0]:mulhsu a2, a0, a1<br> [0x800015c4]:sw a2, 980(ra)<br>    |
| 260|[0x80005614]<br>0x00000001|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                                                       |[0x800015d4]:mulhsu a2, a0, a1<br> [0x800015d8]:sw a2, 984(ra)<br>    |
| 261|[0x80005618]<br>0x00005554|- rs1_val==1431655766 and rs2_val==65534<br>                                                                                                                                                                   |[0x800015ec]:mulhsu a2, a0, a1<br> [0x800015f0]:sw a2, 988(ra)<br>    |
| 262|[0x8000561c]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                                                       |[0x80001600]:mulhsu a2, a0, a1<br> [0x80001604]:sw a2, 992(ra)<br>    |
| 263|[0x80005620]<br>0x00003C56|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                                                                   |[0x80001618]:mulhsu a2, a0, a1<br> [0x8000161c]:sw a2, 996(ra)<br>    |
| 264|[0x80005624]<br>0x22222221|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                                                              |[0x80001630]:mulhsu a2, a0, a1<br> [0x80001634]:sw a2, 1000(ra)<br>   |
| 265|[0x80005628]<br>0x11111110|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                                                               |[0x80001648]:mulhsu a2, a0, a1<br> [0x8000164c]:sw a2, 1004(ra)<br>   |
| 266|[0x8000562c]<br>0x38E38E38|- rs1_val==1431655766 and rs2_val==2863311529<br>                                                                                                                                                              |[0x80001660]:mulhsu a2, a0, a1<br> [0x80001664]:sw a2, 1008(ra)<br>   |
| 267|[0x80005630]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80001678]:mulhsu a2, a0, a1<br> [0x8000167c]:sw a2, 1012(ra)<br>   |
| 268|[0x80005634]<br>0x00000000|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                                                       |[0x8000168c]:mulhsu a2, a0, a1<br> [0x80001690]:sw a2, 1016(ra)<br>   |
| 269|[0x80005638]<br>0x00005555|- rs1_val==1431655766 and rs2_val==65535<br>                                                                                                                                                                   |[0x800016a4]:mulhsu a2, a0, a1<br> [0x800016a8]:sw a2, 1020(ra)<br>   |
| 270|[0x8000563c]<br>0x00003C56|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                                                                   |[0x800016bc]:mulhsu a2, a0, a1<br> [0x800016c0]:sw a2, 1024(ra)<br>   |
| 271|[0x80005640]<br>0x22222222|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                                                              |[0x800016d4]:mulhsu a2, a0, a1<br> [0x800016d8]:sw a2, 1028(ra)<br>   |
| 272|[0x80005644]<br>0x11111111|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                                                               |[0x800016ec]:mulhsu a2, a0, a1<br> [0x800016f0]:sw a2, 1032(ra)<br>   |
| 273|[0x80005648]<br>0x00000001|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                                                       |[0x80001700]:mulhsu a2, a0, a1<br> [0x80001704]:sw a2, 1036(ra)<br>   |
| 274|[0x8000564c]<br>0x38E38E39|- rs1_val==1431655766 and rs2_val==2863311530<br>                                                                                                                                                              |[0x80001718]:mulhsu a2, a0, a1<br> [0x8000171c]:sw a2, 1040(ra)<br>   |
| 275|[0x80005650]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                                                              |[0x80001730]:mulhsu a2, a0, a1<br> [0x80001734]:sw a2, 1044(ra)<br>   |
| 276|[0x80005654]<br>0x00000001|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                                                       |[0x80001744]:mulhsu a2, a0, a1<br> [0x80001748]:sw a2, 1048(ra)<br>   |
| 277|[0x80005658]<br>0x00000000|- rs1_val==4 and rs2_val==65536<br>                                                                                                                                                                            |[0x80001754]:mulhsu a2, a0, a1<br> [0x80001758]:sw a2, 1052(ra)<br>   |
| 278|[0x8000565c]<br>0x00000000|- rs1_val==4 and rs2_val==1<br>                                                                                                                                                                                |[0x80001764]:mulhsu a2, a0, a1<br> [0x80001768]:sw a2, 1056(ra)<br>   |
| 279|[0x80005660]<br>0x00000000|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                                                            |[0x80001778]:mulhsu a2, a0, a1<br> [0x8000177c]:sw a2, 1060(ra)<br>   |
| 280|[0x80005664]<br>0x00000001|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x8000178c]:mulhsu a2, a0, a1<br> [0x80001790]:sw a2, 1064(ra)<br>   |
| 281|[0x80005668]<br>0x00000000|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                                                        |[0x800017a0]:mulhsu a2, a0, a1<br> [0x800017a4]:sw a2, 1068(ra)<br>   |
| 282|[0x8000566c]<br>0x00000000|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                |[0x800017b0]:mulhsu a2, a0, a1<br> [0x800017b4]:sw a2, 1072(ra)<br>   |
| 283|[0x80005670]<br>0x00000002|- rs1_val==4 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x800017c4]:mulhsu a2, a0, a1<br> [0x800017c8]:sw a2, 1076(ra)<br>   |
| 284|[0x80005674]<br>0x00000001|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x800017d8]:mulhsu a2, a0, a1<br> [0x800017dc]:sw a2, 1080(ra)<br>   |
| 285|[0x80005678]<br>0x00000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                |[0x800017e8]:mulhsu a2, a0, a1<br> [0x800017ec]:sw a2, 1084(ra)<br>   |
| 286|[0x8000567c]<br>0x00000000|- rs1_val==4 and rs2_val==65534<br>                                                                                                                                                                            |[0x800017fc]:mulhsu a2, a0, a1<br> [0x80001800]:sw a2, 1088(ra)<br>   |
| 287|[0x80005680]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                |[0x8000180c]:mulhsu a2, a0, a1<br> [0x80001810]:sw a2, 1092(ra)<br>   |
| 288|[0x80005684]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                                                            |[0x80001820]:mulhsu a2, a0, a1<br> [0x80001824]:sw a2, 1096(ra)<br>   |
| 289|[0x80005688]<br>0x00000001|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x80001834]:mulhsu a2, a0, a1<br> [0x80001838]:sw a2, 1100(ra)<br>   |
| 290|[0x8000568c]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                                                        |[0x80001848]:mulhsu a2, a0, a1<br> [0x8000184c]:sw a2, 1104(ra)<br>   |
| 291|[0x80005690]<br>0x00000002|- rs1_val==4 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x8000185c]:mulhsu a2, a0, a1<br> [0x80001860]:sw a2, 1108(ra)<br>   |
| 292|[0x80005694]<br>0x00000001|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x80001870]:mulhsu a2, a0, a1<br> [0x80001874]:sw a2, 1112(ra)<br>   |
| 293|[0x80005698]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                |[0x80001880]:mulhsu a2, a0, a1<br> [0x80001884]:sw a2, 1116(ra)<br>   |
| 294|[0x8000569c]<br>0x00000000|- rs1_val==4 and rs2_val==65535<br>                                                                                                                                                                            |[0x80001894]:mulhsu a2, a0, a1<br> [0x80001898]:sw a2, 1120(ra)<br>   |
| 295|[0x800056a0]<br>0x00000000|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                                                            |[0x800018a8]:mulhsu a2, a0, a1<br> [0x800018ac]:sw a2, 1124(ra)<br>   |
| 296|[0x800056a4]<br>0x00000001|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x800018bc]:mulhsu a2, a0, a1<br> [0x800018c0]:sw a2, 1128(ra)<br>   |
| 297|[0x800056a8]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                                                        |[0x800018d0]:mulhsu a2, a0, a1<br> [0x800018d4]:sw a2, 1132(ra)<br>   |
| 298|[0x800056ac]<br>0x00000000|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                |[0x800018e0]:mulhsu a2, a0, a1<br> [0x800018e4]:sw a2, 1136(ra)<br>   |
| 299|[0x800056b0]<br>0x00000002|- rs1_val==4 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x800018f4]:mulhsu a2, a0, a1<br> [0x800018f8]:sw a2, 1140(ra)<br>   |
| 300|[0x800056b4]<br>0x00000001|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x80001908]:mulhsu a2, a0, a1<br> [0x8000190c]:sw a2, 1144(ra)<br>   |
| 301|[0x800056b8]<br>0x00000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                                |[0x80001918]:mulhsu a2, a0, a1<br> [0x8000191c]:sw a2, 1148(ra)<br>   |
| 302|[0x800056bc]<br>0x00000000|- rs1_val==46339 and rs2_val==65536<br>                                                                                                                                                                        |[0x8000192c]:mulhsu a2, a0, a1<br> [0x80001930]:sw a2, 1152(ra)<br>   |
| 303|[0x800056c0]<br>0x00000000|- rs1_val==46339 and rs2_val==1<br>                                                                                                                                                                            |[0x80001940]:mulhsu a2, a0, a1<br> [0x80001944]:sw a2, 1156(ra)<br>   |
| 304|[0x800056c4]<br>0x00000000|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                                                        |[0x80001958]:mulhsu a2, a0, a1<br> [0x8000195c]:sw a2, 1160(ra)<br>   |
| 305|[0x800056c8]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                                                                   |[0x80001970]:mulhsu a2, a0, a1<br> [0x80001974]:sw a2, 1164(ra)<br>   |
| 306|[0x800056cc]<br>0x00002433|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                                                    |[0x80001988]:mulhsu a2, a0, a1<br> [0x8000198c]:sw a2, 1168(ra)<br>   |
| 307|[0x800056d0]<br>0x00000000|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                                                            |[0x8000199c]:mulhsu a2, a0, a1<br> [0x800019a0]:sw a2, 1172(ra)<br>   |
| 308|[0x800056d4]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311531<br>                                                                                                                                                                   |[0x800019b4]:mulhsu a2, a0, a1<br> [0x800019b8]:sw a2, 1176(ra)<br>   |
| 309|[0x800056d8]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                                                                   |[0x800019cc]:mulhsu a2, a0, a1<br> [0x800019d0]:sw a2, 1180(ra)<br>   |
| 310|[0x800056dc]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                                                            |[0x800019e0]:mulhsu a2, a0, a1<br> [0x800019e4]:sw a2, 1184(ra)<br>   |
| 311|[0x800056e0]<br>0x00000000|- rs1_val==46339 and rs2_val==65534<br>                                                                                                                                                                        |[0x800019f8]:mulhsu a2, a0, a1<br> [0x800019fc]:sw a2, 1188(ra)<br>   |
| 312|[0x800056e4]<br>0x00000000|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                                                            |[0x80001a0c]:mulhsu a2, a0, a1<br> [0x80001a10]:sw a2, 1192(ra)<br>   |
| 313|[0x800056e8]<br>0x00000000|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                                                        |[0x80001a24]:mulhsu a2, a0, a1<br> [0x80001a28]:sw a2, 1196(ra)<br>   |
| 314|[0x800056ec]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                                                                   |[0x80001a3c]:mulhsu a2, a0, a1<br> [0x80001a40]:sw a2, 1200(ra)<br>   |
| 315|[0x800056f0]<br>0x00002433|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                                                    |[0x80001a54]:mulhsu a2, a0, a1<br> [0x80001a58]:sw a2, 1204(ra)<br>   |
| 316|[0x800056f4]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311529<br>                                                                                                                                                                   |[0x80001a6c]:mulhsu a2, a0, a1<br> [0x80001a70]:sw a2, 1208(ra)<br>   |
| 317|[0x800056f8]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                                                                   |[0x80001a84]:mulhsu a2, a0, a1<br> [0x80001a88]:sw a2, 1212(ra)<br>   |
| 318|[0x800056fc]<br>0x00000000|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                                                            |[0x80001a98]:mulhsu a2, a0, a1<br> [0x80001a9c]:sw a2, 1216(ra)<br>   |
| 319|[0x80005700]<br>0x00000000|- rs1_val==46339 and rs2_val==65535<br>                                                                                                                                                                        |[0x80001ab0]:mulhsu a2, a0, a1<br> [0x80001ab4]:sw a2, 1220(ra)<br>   |
| 320|[0x80005704]<br>0x00000000|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                                                        |[0x80001ac8]:mulhsu a2, a0, a1<br> [0x80001acc]:sw a2, 1224(ra)<br>   |
| 321|[0x80005708]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                                                                   |[0x80001ae0]:mulhsu a2, a0, a1<br> [0x80001ae4]:sw a2, 1228(ra)<br>   |
| 322|[0x8000570c]<br>0x00002433|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                                                    |[0x80001af8]:mulhsu a2, a0, a1<br> [0x80001afc]:sw a2, 1232(ra)<br>   |
| 323|[0x80005710]<br>0x00000000|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                                                            |[0x80001b0c]:mulhsu a2, a0, a1<br> [0x80001b10]:sw a2, 1236(ra)<br>   |
| 324|[0x80005714]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311530<br>                                                                                                                                                                   |[0x80001b24]:mulhsu a2, a0, a1<br> [0x80001b28]:sw a2, 1240(ra)<br>   |
| 325|[0x80005718]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                                                                   |[0x80001b3c]:mulhsu a2, a0, a1<br> [0x80001b40]:sw a2, 1244(ra)<br>   |
| 326|[0x8000571c]<br>0x00000000|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                                                            |[0x80001b50]:mulhsu a2, a0, a1<br> [0x80001b54]:sw a2, 1248(ra)<br>   |
| 327|[0x80005720]<br>0x00000000|- rs1_val==0 and rs2_val==65536<br>                                                                                                                                                                            |[0x80001b60]:mulhsu a2, a0, a1<br> [0x80001b64]:sw a2, 1252(ra)<br>   |
| 328|[0x80005724]<br>0x00000000|- rs1_val==0 and rs2_val==1<br>                                                                                                                                                                                |[0x80001b70]:mulhsu a2, a0, a1<br> [0x80001b74]:sw a2, 1256(ra)<br>   |
| 329|[0x80005728]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                                                            |[0x80001b84]:mulhsu a2, a0, a1<br> [0x80001b88]:sw a2, 1260(ra)<br>   |
| 330|[0x8000572c]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x80001b98]:mulhsu a2, a0, a1<br> [0x80001b9c]:sw a2, 1264(ra)<br>   |
| 331|[0x80005730]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                                                        |[0x80001bac]:mulhsu a2, a0, a1<br> [0x80001bb0]:sw a2, 1268(ra)<br>   |
| 332|[0x80005734]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                |[0x80001bbc]:mulhsu a2, a0, a1<br> [0x80001bc0]:sw a2, 1272(ra)<br>   |
| 333|[0x80005738]<br>0x00000000|- rs1_val==0 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x80001bd0]:mulhsu a2, a0, a1<br> [0x80001bd4]:sw a2, 1276(ra)<br>   |
| 334|[0x8000573c]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x80001be4]:mulhsu a2, a0, a1<br> [0x80001be8]:sw a2, 1280(ra)<br>   |
| 335|[0x80005740]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                |[0x80001bf4]:mulhsu a2, a0, a1<br> [0x80001bf8]:sw a2, 1284(ra)<br>   |
| 336|[0x80005744]<br>0x00000000|- rs1_val==0 and rs2_val==65534<br>                                                                                                                                                                            |[0x80001c08]:mulhsu a2, a0, a1<br> [0x80001c0c]:sw a2, 1288(ra)<br>   |
| 337|[0x8000574c]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                                                            |[0x80001c2c]:mulhsu a2, a0, a1<br> [0x80001c30]:sw a2, 1296(ra)<br>   |
| 338|[0x80005750]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x80001c40]:mulhsu a2, a0, a1<br> [0x80001c44]:sw a2, 1300(ra)<br>   |
| 339|[0x80005754]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                                                        |[0x80001c54]:mulhsu a2, a0, a1<br> [0x80001c58]:sw a2, 1304(ra)<br>   |
| 340|[0x80005758]<br>0x00000000|- rs1_val==0 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x80001c68]:mulhsu a2, a0, a1<br> [0x80001c6c]:sw a2, 1308(ra)<br>   |
| 341|[0x8000575c]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x80001c7c]:mulhsu a2, a0, a1<br> [0x80001c80]:sw a2, 1312(ra)<br>   |
| 342|[0x80005760]<br>0x00000000|- rs1_val==0 and rs2_val==65535<br>                                                                                                                                                                            |[0x80001c90]:mulhsu a2, a0, a1<br> [0x80001c94]:sw a2, 1316(ra)<br>   |
| 343|[0x80005764]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                                                            |[0x80001ca4]:mulhsu a2, a0, a1<br> [0x80001ca8]:sw a2, 1320(ra)<br>   |
| 344|[0x80005768]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x80001cb8]:mulhsu a2, a0, a1<br> [0x80001cbc]:sw a2, 1324(ra)<br>   |
| 345|[0x8000576c]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                                                        |[0x80001ccc]:mulhsu a2, a0, a1<br> [0x80001cd0]:sw a2, 1328(ra)<br>   |
| 346|[0x80005770]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                |[0x80001cdc]:mulhsu a2, a0, a1<br> [0x80001ce0]:sw a2, 1332(ra)<br>   |
| 347|[0x80005774]<br>0x00000000|- rs1_val==0 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x80001cf0]:mulhsu a2, a0, a1<br> [0x80001cf4]:sw a2, 1336(ra)<br>   |
| 348|[0x80005778]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x80001d04]:mulhsu a2, a0, a1<br> [0x80001d08]:sw a2, 1340(ra)<br>   |
| 349|[0x8000577c]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                |[0x80001d14]:mulhsu a2, a0, a1<br> [0x80001d18]:sw a2, 1344(ra)<br>   |
| 350|[0x80005780]<br>0x00006666|- rs1_val==1717986917 and rs2_val==65536<br>                                                                                                                                                                   |[0x80001d28]:mulhsu a2, a0, a1<br> [0x80001d2c]:sw a2, 1348(ra)<br>   |
| 351|[0x80005784]<br>0x00000000|- rs1_val==1717986917 and rs2_val==1<br>                                                                                                                                                                       |[0x80001d3c]:mulhsu a2, a0, a1<br> [0x80001d40]:sw a2, 1352(ra)<br>   |
| 352|[0x80005788]<br>0x00004868|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                                                                   |[0x80001d54]:mulhsu a2, a0, a1<br> [0x80001d58]:sw a2, 1356(ra)<br>   |
| 353|[0x8000578c]<br>0x28F5C28F|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                                                              |[0x80001d6c]:mulhsu a2, a0, a1<br> [0x80001d70]:sw a2, 1360(ra)<br>   |
| 354|[0x80005790]<br>0x147AE147|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                                                               |[0x80001d84]:mulhsu a2, a0, a1<br> [0x80001d88]:sw a2, 1364(ra)<br>   |
| 355|[0x80005794]<br>0x00000002|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                                                       |[0x80001d98]:mulhsu a2, a0, a1<br> [0x80001d9c]:sw a2, 1368(ra)<br>   |
| 356|[0x80005798]<br>0x44444443|- rs1_val==1717986917 and rs2_val==2863311531<br>                                                                                                                                                              |[0x80001db0]:mulhsu a2, a0, a1<br> [0x80001db4]:sw a2, 1372(ra)<br>   |
| 357|[0x8000579c]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                                                              |[0x80001dc8]:mulhsu a2, a0, a1<br> [0x80001dcc]:sw a2, 1376(ra)<br>   |
| 358|[0x800057a0]<br>0x00000001|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                                                       |[0x80001ddc]:mulhsu a2, a0, a1<br> [0x80001de0]:sw a2, 1380(ra)<br>   |
| 359|[0x800057a4]<br>0x00006665|- rs1_val==1717986917 and rs2_val==65534<br>                                                                                                                                                                   |[0x80001df4]:mulhsu a2, a0, a1<br> [0x80001df8]:sw a2, 1384(ra)<br>   |
| 360|[0x800057a8]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                                                       |[0x80001e08]:mulhsu a2, a0, a1<br> [0x80001e0c]:sw a2, 1388(ra)<br>   |
| 361|[0x800057ac]<br>0x00004867|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                                                                   |[0x80001e20]:mulhsu a2, a0, a1<br> [0x80001e24]:sw a2, 1392(ra)<br>   |
| 362|[0x800057b0]<br>0x28F5C28E|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                                                              |[0x80001e38]:mulhsu a2, a0, a1<br> [0x80001e3c]:sw a2, 1396(ra)<br>   |
| 363|[0x800057b4]<br>0x147AE146|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                                                               |[0x80001e50]:mulhsu a2, a0, a1<br> [0x80001e54]:sw a2, 1400(ra)<br>   |
| 364|[0x800057b8]<br>0x44444442|- rs1_val==1717986917 and rs2_val==2863311529<br>                                                                                                                                                              |[0x80001e68]:mulhsu a2, a0, a1<br> [0x80001e6c]:sw a2, 1404(ra)<br>   |
| 365|[0x800057bc]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80001e80]:mulhsu a2, a0, a1<br> [0x80001e84]:sw a2, 1408(ra)<br>   |
| 366|[0x800057c0]<br>0x00000000|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                                                       |[0x80001e94]:mulhsu a2, a0, a1<br> [0x80001e98]:sw a2, 1412(ra)<br>   |
| 367|[0x800057c4]<br>0x00006665|- rs1_val==1717986917 and rs2_val==65535<br>                                                                                                                                                                   |[0x80001eac]:mulhsu a2, a0, a1<br> [0x80001eb0]:sw a2, 1416(ra)<br>   |
| 368|[0x800057c8]<br>0x00004867|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                                                                   |[0x80001ec4]:mulhsu a2, a0, a1<br> [0x80001ec8]:sw a2, 1420(ra)<br>   |
| 369|[0x800057cc]<br>0x28F5C28E|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                                                              |[0x80001edc]:mulhsu a2, a0, a1<br> [0x80001ee0]:sw a2, 1424(ra)<br>   |
| 370|[0x800057d0]<br>0x147AE147|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                                                               |[0x80001ef4]:mulhsu a2, a0, a1<br> [0x80001ef8]:sw a2, 1428(ra)<br>   |
| 371|[0x800057d4]<br>0x00000001|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                                                       |[0x80001f08]:mulhsu a2, a0, a1<br> [0x80001f0c]:sw a2, 1432(ra)<br>   |
| 372|[0x800057d8]<br>0x44444443|- rs1_val==1717986917 and rs2_val==2863311530<br>                                                                                                                                                              |[0x80001f20]:mulhsu a2, a0, a1<br> [0x80001f24]:sw a2, 1436(ra)<br>   |
| 373|[0x800057dc]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                                                              |[0x80001f38]:mulhsu a2, a0, a1<br> [0x80001f3c]:sw a2, 1440(ra)<br>   |
| 374|[0x800057e0]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                                                       |[0x80001f4c]:mulhsu a2, a0, a1<br> [0x80001f50]:sw a2, 1444(ra)<br>   |
| 375|[0x800057e4]<br>0x00003333|- rs1_val==858993458 and rs2_val==65536<br>                                                                                                                                                                    |[0x80001f60]:mulhsu a2, a0, a1<br> [0x80001f64]:sw a2, 1448(ra)<br>   |
| 376|[0x800057e8]<br>0x00000000|- rs1_val==858993458 and rs2_val==1<br>                                                                                                                                                                        |[0x80001f74]:mulhsu a2, a0, a1<br> [0x80001f78]:sw a2, 1452(ra)<br>   |
| 377|[0x800057ec]<br>0x00002434|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                                                    |[0x80001f8c]:mulhsu a2, a0, a1<br> [0x80001f90]:sw a2, 1456(ra)<br>   |
| 378|[0x800057f0]<br>0x147AE147|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                                                               |[0x80001fa4]:mulhsu a2, a0, a1<br> [0x80001fa8]:sw a2, 1460(ra)<br>   |
| 379|[0x800057f4]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                                                                |[0x80001fbc]:mulhsu a2, a0, a1<br> [0x80001fc0]:sw a2, 1464(ra)<br>   |
| 380|[0x800057f8]<br>0x00000001|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                                                        |[0x80001fd0]:mulhsu a2, a0, a1<br> [0x80001fd4]:sw a2, 1468(ra)<br>   |
| 381|[0x800057fc]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311531<br>                                                                                                                                                               |[0x80001fe8]:mulhsu a2, a0, a1<br> [0x80001fec]:sw a2, 1472(ra)<br>   |
| 382|[0x80005800]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                                                               |[0x80002000]:mulhsu a2, a0, a1<br> [0x80002004]:sw a2, 1476(ra)<br>   |
| 383|[0x80005804]<br>0x00003332|- rs1_val==858993458 and rs2_val==65534<br>                                                                                                                                                                    |[0x80002018]:mulhsu a2, a0, a1<br> [0x8000201c]:sw a2, 1480(ra)<br>   |
| 384|[0x80005808]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                                                        |[0x8000202c]:mulhsu a2, a0, a1<br> [0x80002030]:sw a2, 1484(ra)<br>   |
| 385|[0x8000580c]<br>0x00002433|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                                                    |[0x80002044]:mulhsu a2, a0, a1<br> [0x80002048]:sw a2, 1488(ra)<br>   |
| 386|[0x80005810]<br>0x147AE146|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                                                               |[0x8000205c]:mulhsu a2, a0, a1<br> [0x80002060]:sw a2, 1492(ra)<br>   |
| 387|[0x80005814]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                                                                |[0x80002074]:mulhsu a2, a0, a1<br> [0x80002078]:sw a2, 1496(ra)<br>   |
| 388|[0x80005818]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311529<br>                                                                                                                                                               |[0x8000208c]:mulhsu a2, a0, a1<br> [0x80002090]:sw a2, 1500(ra)<br>   |
| 389|[0x8000581c]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                                                               |[0x800020a4]:mulhsu a2, a0, a1<br> [0x800020a8]:sw a2, 1504(ra)<br>   |
| 390|[0x80005820]<br>0x00000000|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                                                        |[0x800020b8]:mulhsu a2, a0, a1<br> [0x800020bc]:sw a2, 1508(ra)<br>   |
| 391|[0x80005824]<br>0x00003332|- rs1_val==858993458 and rs2_val==65535<br>                                                                                                                                                                    |[0x800020d0]:mulhsu a2, a0, a1<br> [0x800020d4]:sw a2, 1512(ra)<br>   |
| 392|[0x80005828]<br>0x00002433|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                                                    |[0x800020e8]:mulhsu a2, a0, a1<br> [0x800020ec]:sw a2, 1516(ra)<br>   |
| 393|[0x8000582c]<br>0x147AE147|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                                                               |[0x80002100]:mulhsu a2, a0, a1<br> [0x80002104]:sw a2, 1520(ra)<br>   |
| 394|[0x80005830]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                                                                |[0x80002118]:mulhsu a2, a0, a1<br> [0x8000211c]:sw a2, 1524(ra)<br>   |
| 395|[0x80005834]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                                                           |[0x8000212c]:mulhsu a2, a0, a1<br> [0x80002130]:sw a2, 1528(ra)<br>   |
| 396|[0x80005838]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65534<br>                                                                                                                                                                       |[0x80002144]:mulhsu a2, a0, a1<br> [0x80002148]:sw a2, 1532(ra)<br>   |
| 397|[0x8000583c]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                                                           |[0x80002158]:mulhsu a2, a0, a1<br> [0x8000215c]:sw a2, 1536(ra)<br>   |
| 398|[0x80005840]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                                                       |[0x80002170]:mulhsu a2, a0, a1<br> [0x80002174]:sw a2, 1540(ra)<br>   |
| 399|[0x80005844]<br>0xFFFFB798|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                                                                  |[0x80002188]:mulhsu a2, a0, a1<br> [0x8000218c]:sw a2, 1544(ra)<br>   |
| 400|[0x80005848]<br>0xFFFFDBCC|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                                                                   |[0x800021a0]:mulhsu a2, a0, a1<br> [0x800021a4]:sw a2, 1548(ra)<br>   |
| 401|[0x8000584c]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311529<br>                                                                                                                                                                  |[0x800021b8]:mulhsu a2, a0, a1<br> [0x800021bc]:sw a2, 1552(ra)<br>   |
| 402|[0x80005850]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                                                                  |[0x800021d0]:mulhsu a2, a0, a1<br> [0x800021d4]:sw a2, 1556(ra)<br>   |
| 403|[0x80005854]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                                                           |[0x800021e4]:mulhsu a2, a0, a1<br> [0x800021e8]:sw a2, 1560(ra)<br>   |
| 404|[0x80005858]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65535<br>                                                                                                                                                                       |[0x800021fc]:mulhsu a2, a0, a1<br> [0x80002200]:sw a2, 1564(ra)<br>   |
| 405|[0x8000585c]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                                                       |[0x80002214]:mulhsu a2, a0, a1<br> [0x80002218]:sw a2, 1568(ra)<br>   |
| 406|[0x80005860]<br>0xFFFFB798|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                                                                  |[0x8000222c]:mulhsu a2, a0, a1<br> [0x80002230]:sw a2, 1572(ra)<br>   |
| 407|[0x80005864]<br>0xFFFFDBCC|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                                                                   |[0x80002244]:mulhsu a2, a0, a1<br> [0x80002248]:sw a2, 1576(ra)<br>   |
| 408|[0x80005868]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                                                           |[0x80002258]:mulhsu a2, a0, a1<br> [0x8000225c]:sw a2, 1580(ra)<br>   |
| 409|[0x8000586c]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311530<br>                                                                                                                                                                  |[0x80002270]:mulhsu a2, a0, a1<br> [0x80002274]:sw a2, 1584(ra)<br>   |
| 410|[0x80005870]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                                                                  |[0x80002288]:mulhsu a2, a0, a1<br> [0x8000228c]:sw a2, 1588(ra)<br>   |
| 411|[0x80005874]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                                                           |[0x8000229c]:mulhsu a2, a0, a1<br> [0x800022a0]:sw a2, 1592(ra)<br>   |
| 412|[0x80005878]<br>0x00006666|- rs1_val==1717986918 and rs2_val==65536<br>                                                                                                                                                                   |[0x800022b0]:mulhsu a2, a0, a1<br> [0x800022b4]:sw a2, 1596(ra)<br>   |
| 413|[0x8000587c]<br>0x00000000|- rs1_val==1717986918 and rs2_val==1<br>                                                                                                                                                                       |[0x800022c4]:mulhsu a2, a0, a1<br> [0x800022c8]:sw a2, 1600(ra)<br>   |
| 414|[0x80005880]<br>0x00004868|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                                                                   |[0x800022dc]:mulhsu a2, a0, a1<br> [0x800022e0]:sw a2, 1604(ra)<br>   |
| 415|[0x80005884]<br>0x28F5C28F|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                                                              |[0x800022f4]:mulhsu a2, a0, a1<br> [0x800022f8]:sw a2, 1608(ra)<br>   |
| 416|[0x80005888]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                                                               |[0x8000230c]:mulhsu a2, a0, a1<br> [0x80002310]:sw a2, 1612(ra)<br>   |
| 417|[0x8000588c]<br>0x00000002|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                                                       |[0x80002320]:mulhsu a2, a0, a1<br> [0x80002324]:sw a2, 1616(ra)<br>   |
| 418|[0x80005890]<br>0x44444444|- rs1_val==1717986918 and rs2_val==2863311531<br>                                                                                                                                                              |[0x80002338]:mulhsu a2, a0, a1<br> [0x8000233c]:sw a2, 1620(ra)<br>   |
| 419|[0x80005894]<br>0x22222222|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                                                              |[0x80002350]:mulhsu a2, a0, a1<br> [0x80002354]:sw a2, 1624(ra)<br>   |
| 420|[0x80005898]<br>0x00000001|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                                                       |[0x80002364]:mulhsu a2, a0, a1<br> [0x80002368]:sw a2, 1628(ra)<br>   |
| 421|[0x8000589c]<br>0x00006665|- rs1_val==1717986918 and rs2_val==65534<br>                                                                                                                                                                   |[0x8000237c]:mulhsu a2, a0, a1<br> [0x80002380]:sw a2, 1632(ra)<br>   |
| 422|[0x800058a0]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                                                       |[0x80002390]:mulhsu a2, a0, a1<br> [0x80002394]:sw a2, 1636(ra)<br>   |
| 423|[0x800058a4]<br>0x00004867|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                                                                   |[0x800023a8]:mulhsu a2, a0, a1<br> [0x800023ac]:sw a2, 1640(ra)<br>   |
| 424|[0x800058a8]<br>0x28F5C28E|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                                                              |[0x800023c0]:mulhsu a2, a0, a1<br> [0x800023c4]:sw a2, 1644(ra)<br>   |
| 425|[0x800058ac]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                                                               |[0x800023d8]:mulhsu a2, a0, a1<br> [0x800023dc]:sw a2, 1648(ra)<br>   |
| 426|[0x800058b0]<br>0x44444443|- rs1_val==1717986918 and rs2_val==2863311529<br>                                                                                                                                                              |[0x800023f0]:mulhsu a2, a0, a1<br> [0x800023f4]:sw a2, 1652(ra)<br>   |
| 427|[0x800058b4]<br>0x22222221|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80002408]:mulhsu a2, a0, a1<br> [0x8000240c]:sw a2, 1656(ra)<br>   |
| 428|[0x800058b8]<br>0x00000000|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                                                       |[0x8000241c]:mulhsu a2, a0, a1<br> [0x80002420]:sw a2, 1660(ra)<br>   |
| 429|[0x800058bc]<br>0x00006665|- rs1_val==1717986918 and rs2_val==65535<br>                                                                                                                                                                   |[0x80002434]:mulhsu a2, a0, a1<br> [0x80002438]:sw a2, 1664(ra)<br>   |
| 430|[0x800058c0]<br>0x00004867|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                                                                   |[0x8000244c]:mulhsu a2, a0, a1<br> [0x80002450]:sw a2, 1668(ra)<br>   |
| 431|[0x800058c4]<br>0x28F5C28F|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                                                              |[0x80002464]:mulhsu a2, a0, a1<br> [0x80002468]:sw a2, 1672(ra)<br>   |
| 432|[0x800058c8]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                                                               |[0x8000247c]:mulhsu a2, a0, a1<br> [0x80002480]:sw a2, 1676(ra)<br>   |
| 433|[0x800058cc]<br>0x00000001|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                                                       |[0x80002490]:mulhsu a2, a0, a1<br> [0x80002494]:sw a2, 1680(ra)<br>   |
| 434|[0x800058d0]<br>0x44444443|- rs1_val==1717986918 and rs2_val==2863311530<br>                                                                                                                                                              |[0x800024a8]:mulhsu a2, a0, a1<br> [0x800024ac]:sw a2, 1684(ra)<br>   |
| 435|[0x800058d4]<br>0x22222221|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                                                              |[0x800024c0]:mulhsu a2, a0, a1<br> [0x800024c4]:sw a2, 1688(ra)<br>   |
| 436|[0x800058d8]<br>0x00000001|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                                                       |[0x800024d4]:mulhsu a2, a0, a1<br> [0x800024d8]:sw a2, 1692(ra)<br>   |
| 437|[0x800058dc]<br>0x00003333|- rs1_val==858993459 and rs2_val==65536<br>                                                                                                                                                                    |[0x800024e8]:mulhsu a2, a0, a1<br> [0x800024ec]:sw a2, 1696(ra)<br>   |
| 438|[0x800058e0]<br>0x00000000|- rs1_val==858993459 and rs2_val==1<br>                                                                                                                                                                        |[0x800024fc]:mulhsu a2, a0, a1<br> [0x80002500]:sw a2, 1700(ra)<br>   |
| 439|[0x800058e4]<br>0x00002434|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                                                    |[0x80002514]:mulhsu a2, a0, a1<br> [0x80002518]:sw a2, 1704(ra)<br>   |
| 440|[0x800058e8]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                                                               |[0x8000252c]:mulhsu a2, a0, a1<br> [0x80002530]:sw a2, 1708(ra)<br>   |
| 441|[0x800058ec]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                                                                |[0x80002544]:mulhsu a2, a0, a1<br> [0x80002548]:sw a2, 1712(ra)<br>   |
| 442|[0x800058f0]<br>0x00000001|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                                                        |[0x80002558]:mulhsu a2, a0, a1<br> [0x8000255c]:sw a2, 1716(ra)<br>   |
| 443|[0x800058f4]<br>0x22222222|- rs1_val==858993459 and rs2_val==2863311531<br>                                                                                                                                                               |[0x80002570]:mulhsu a2, a0, a1<br> [0x80002574]:sw a2, 1720(ra)<br>   |
| 444|[0x800058f8]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                                                               |[0x80002588]:mulhsu a2, a0, a1<br> [0x8000258c]:sw a2, 1724(ra)<br>   |
| 445|[0x800058fc]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                                                        |[0x8000259c]:mulhsu a2, a0, a1<br> [0x800025a0]:sw a2, 1728(ra)<br>   |
| 446|[0x80005900]<br>0x00003332|- rs1_val==858993459 and rs2_val==65534<br>                                                                                                                                                                    |[0x800025b4]:mulhsu a2, a0, a1<br> [0x800025b8]:sw a2, 1732(ra)<br>   |
| 447|[0x80005904]<br>0x00000000|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                                                        |[0x800025c8]:mulhsu a2, a0, a1<br> [0x800025cc]:sw a2, 1736(ra)<br>   |
| 448|[0x80005908]<br>0x00002433|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                                                    |[0x800025e0]:mulhsu a2, a0, a1<br> [0x800025e4]:sw a2, 1740(ra)<br>   |
| 449|[0x8000590c]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                                                               |[0x800025f8]:mulhsu a2, a0, a1<br> [0x800025fc]:sw a2, 1744(ra)<br>   |
| 450|[0x80005910]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                                                                |[0x80002610]:mulhsu a2, a0, a1<br> [0x80002614]:sw a2, 1748(ra)<br>   |
| 451|[0x80005914]<br>0x22222221|- rs1_val==858993459 and rs2_val==2863311529<br>                                                                                                                                                               |[0x80002628]:mulhsu a2, a0, a1<br> [0x8000262c]:sw a2, 1752(ra)<br>   |
| 452|[0x80005918]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                                                               |[0x80002640]:mulhsu a2, a0, a1<br> [0x80002644]:sw a2, 1756(ra)<br>   |
| 453|[0x8000591c]<br>0x00000000|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                                                        |[0x80002654]:mulhsu a2, a0, a1<br> [0x80002658]:sw a2, 1760(ra)<br>   |
| 454|[0x80005920]<br>0x00003332|- rs1_val==858993459 and rs2_val==65535<br>                                                                                                                                                                    |[0x8000266c]:mulhsu a2, a0, a1<br> [0x80002670]:sw a2, 1764(ra)<br>   |
| 455|[0x80005924]<br>0x00002433|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                                                    |[0x80002684]:mulhsu a2, a0, a1<br> [0x80002688]:sw a2, 1768(ra)<br>   |
| 456|[0x80005928]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                                                               |[0x8000269c]:mulhsu a2, a0, a1<br> [0x800026a0]:sw a2, 1772(ra)<br>   |
| 457|[0x8000592c]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                                                                |[0x800026b4]:mulhsu a2, a0, a1<br> [0x800026b8]:sw a2, 1776(ra)<br>   |
| 458|[0x80005930]<br>0x00000000|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                                                        |[0x800026c8]:mulhsu a2, a0, a1<br> [0x800026cc]:sw a2, 1780(ra)<br>   |
| 459|[0x80005934]<br>0x22222221|- rs1_val==858993459 and rs2_val==2863311530<br>                                                                                                                                                               |[0x800026e0]:mulhsu a2, a0, a1<br> [0x800026e4]:sw a2, 1784(ra)<br>   |
| 460|[0x80005938]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                                                               |[0x800026f8]:mulhsu a2, a0, a1<br> [0x800026fc]:sw a2, 1788(ra)<br>   |
| 461|[0x8000593c]<br>0x00000000|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                                                        |[0x8000270c]:mulhsu a2, a0, a1<br> [0x80002710]:sw a2, 1792(ra)<br>   |
| 462|[0x80005940]<br>0x00000000|- rs1_val==5 and rs2_val==65536<br>                                                                                                                                                                            |[0x8000271c]:mulhsu a2, a0, a1<br> [0x80002720]:sw a2, 1796(ra)<br>   |
| 463|[0x80005944]<br>0x00000000|- rs1_val==5 and rs2_val==1<br>                                                                                                                                                                                |[0x8000272c]:mulhsu a2, a0, a1<br> [0x80002730]:sw a2, 1800(ra)<br>   |
| 464|[0x80005948]<br>0x00000000|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                                                            |[0x80002740]:mulhsu a2, a0, a1<br> [0x80002744]:sw a2, 1804(ra)<br>   |
| 465|[0x8000594c]<br>0x00000002|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x80002754]:mulhsu a2, a0, a1<br> [0x80002758]:sw a2, 1808(ra)<br>   |
| 466|[0x80005950]<br>0x00000001|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                                                        |[0x80002768]:mulhsu a2, a0, a1<br> [0x8000276c]:sw a2, 1812(ra)<br>   |
| 467|[0x80005954]<br>0x00000000|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                |[0x80002778]:mulhsu a2, a0, a1<br> [0x8000277c]:sw a2, 1816(ra)<br>   |
| 468|[0x80005958]<br>0x00000003|- rs1_val==5 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x8000278c]:mulhsu a2, a0, a1<br> [0x80002790]:sw a2, 1820(ra)<br>   |
| 469|[0x8000595c]<br>0x00000001|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x800027a0]:mulhsu a2, a0, a1<br> [0x800027a4]:sw a2, 1824(ra)<br>   |
| 470|[0x80005960]<br>0x00000000|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                |[0x800027b0]:mulhsu a2, a0, a1<br> [0x800027b4]:sw a2, 1828(ra)<br>   |
| 471|[0x80005964]<br>0x00000000|- rs1_val==5 and rs2_val==65534<br>                                                                                                                                                                            |[0x800027c4]:mulhsu a2, a0, a1<br> [0x800027c8]:sw a2, 1832(ra)<br>   |
| 472|[0x80005968]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                |[0x800027d4]:mulhsu a2, a0, a1<br> [0x800027d8]:sw a2, 1836(ra)<br>   |
| 473|[0x8000596c]<br>0x00000000|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                                                            |[0x800027e8]:mulhsu a2, a0, a1<br> [0x800027ec]:sw a2, 1840(ra)<br>   |
| 474|[0x80005970]<br>0x00000001|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x800027fc]:mulhsu a2, a0, a1<br> [0x80002800]:sw a2, 1844(ra)<br>   |
| 475|[0x80005974]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                                                        |[0x80002810]:mulhsu a2, a0, a1<br> [0x80002814]:sw a2, 1848(ra)<br>   |
| 476|[0x80005978]<br>0x00000003|- rs1_val==5 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x80002824]:mulhsu a2, a0, a1<br> [0x80002828]:sw a2, 1852(ra)<br>   |
| 477|[0x8000597c]<br>0x00000001|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x80002838]:mulhsu a2, a0, a1<br> [0x8000283c]:sw a2, 1856(ra)<br>   |
| 478|[0x80005980]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                |[0x80002848]:mulhsu a2, a0, a1<br> [0x8000284c]:sw a2, 1860(ra)<br>   |
| 479|[0x80005984]<br>0x00000000|- rs1_val==5 and rs2_val==65535<br>                                                                                                                                                                            |[0x8000285c]:mulhsu a2, a0, a1<br> [0x80002860]:sw a2, 1864(ra)<br>   |
| 480|[0x80005988]<br>0x00000000|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                                                            |[0x80002870]:mulhsu a2, a0, a1<br> [0x80002874]:sw a2, 1868(ra)<br>   |
| 481|[0x8000598c]<br>0x00000001|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x80002884]:mulhsu a2, a0, a1<br> [0x80002888]:sw a2, 1872(ra)<br>   |
| 482|[0x80005990]<br>0x00000000|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                                                        |[0x80002898]:mulhsu a2, a0, a1<br> [0x8000289c]:sw a2, 1876(ra)<br>   |
| 483|[0x80005994]<br>0x00000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                |[0x800028a8]:mulhsu a2, a0, a1<br> [0x800028ac]:sw a2, 1880(ra)<br>   |
| 484|[0x80005998]<br>0x00000003|- rs1_val==5 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x800028bc]:mulhsu a2, a0, a1<br> [0x800028c0]:sw a2, 1884(ra)<br>   |
| 485|[0x8000599c]<br>0x00000001|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x800028d0]:mulhsu a2, a0, a1<br> [0x800028d4]:sw a2, 1888(ra)<br>   |
| 486|[0x800059a0]<br>0x00000000|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                |[0x800028e0]:mulhsu a2, a0, a1<br> [0x800028e4]:sw a2, 1892(ra)<br>   |
| 487|[0x800059a4]<br>0xFFFFAAAA|- rs1_val==-1431655766 and rs2_val==65536<br>                                                                                                                                                                  |[0x800028f4]:mulhsu a2, a0, a1<br> [0x800028f8]:sw a2, 1896(ra)<br>   |
| 488|[0x800059a8]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1<br>                                                                                                                                                                      |[0x80002908]:mulhsu a2, a0, a1<br> [0x8000290c]:sw a2, 1900(ra)<br>   |
| 489|[0x800059ac]<br>0xFFFFC3A8|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                                                                  |[0x80002920]:mulhsu a2, a0, a1<br> [0x80002924]:sw a2, 1904(ra)<br>   |
| 490|[0x800059b0]<br>0xDDDDDDDD|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                                                             |[0x80002938]:mulhsu a2, a0, a1<br> [0x8000293c]:sw a2, 1908(ra)<br>   |
| 491|[0x800059b4]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                                                              |[0x80002950]:mulhsu a2, a0, a1<br> [0x80002954]:sw a2, 1912(ra)<br>   |
| 492|[0x800059b8]<br>0xFFFFFFFD|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                                                      |[0x80002964]:mulhsu a2, a0, a1<br> [0x80002968]:sw a2, 1916(ra)<br>   |
| 493|[0x800059bc]<br>0xC71C71C6|- rs1_val==-1431655766 and rs2_val==2863311531<br>                                                                                                                                                             |[0x8000297c]:mulhsu a2, a0, a1<br> [0x80002980]:sw a2, 1920(ra)<br>   |
| 494|[0x800059c0]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                                                             |[0x80002994]:mulhsu a2, a0, a1<br> [0x80002998]:sw a2, 1924(ra)<br>   |
| 495|[0x800059c4]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                                                      |[0x800029a8]:mulhsu a2, a0, a1<br> [0x800029ac]:sw a2, 1928(ra)<br>   |
| 496|[0x800059c8]<br>0xFFFFAAAB|- rs1_val==-1431655766 and rs2_val==65534<br>                                                                                                                                                                  |[0x800029c0]:mulhsu a2, a0, a1<br> [0x800029c4]:sw a2, 1932(ra)<br>   |
| 497|[0x800059cc]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                                                      |[0x800029d4]:mulhsu a2, a0, a1<br> [0x800029d8]:sw a2, 1936(ra)<br>   |
| 498|[0x800059d0]<br>0xFFFFC3A9|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                                                                  |[0x800029ec]:mulhsu a2, a0, a1<br> [0x800029f0]:sw a2, 1940(ra)<br>   |
| 499|[0x800059d4]<br>0xDDDDDDDE|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                                                             |[0x80002a04]:mulhsu a2, a0, a1<br> [0x80002a08]:sw a2, 1944(ra)<br>   |
| 500|[0x800059d8]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                                                              |[0x80002a1c]:mulhsu a2, a0, a1<br> [0x80002a20]:sw a2, 1948(ra)<br>   |
| 501|[0x800059dc]<br>0xC71C71C7|- rs1_val==-1431655766 and rs2_val==2863311529<br>                                                                                                                                                             |[0x80002a34]:mulhsu a2, a0, a1<br> [0x80002a38]:sw a2, 1952(ra)<br>   |
| 502|[0x800059e0]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                                                             |[0x80002a4c]:mulhsu a2, a0, a1<br> [0x80002a50]:sw a2, 1956(ra)<br>   |
| 503|[0x800059e4]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                                                      |[0x80002a60]:mulhsu a2, a0, a1<br> [0x80002a64]:sw a2, 1960(ra)<br>   |
| 504|[0x800059e8]<br>0xFFFFAAAA|- rs1_val==-1431655766 and rs2_val==65535<br>                                                                                                                                                                  |[0x80002a78]:mulhsu a2, a0, a1<br> [0x80002a7c]:sw a2, 1964(ra)<br>   |
| 505|[0x800059ec]<br>0xFFFFC3A9|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                                                                  |[0x80002a90]:mulhsu a2, a0, a1<br> [0x80002a94]:sw a2, 1968(ra)<br>   |
| 506|[0x800059f0]<br>0xDDDDDDDD|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                                                             |[0x80002aa8]:mulhsu a2, a0, a1<br> [0x80002aac]:sw a2, 1972(ra)<br>   |
| 507|[0x800059f4]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                                                              |[0x80002ac0]:mulhsu a2, a0, a1<br> [0x80002ac4]:sw a2, 1976(ra)<br>   |
| 508|[0x800059f8]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                                                      |[0x80002ad4]:mulhsu a2, a0, a1<br> [0x80002ad8]:sw a2, 1980(ra)<br>   |
| 509|[0x800059fc]<br>0xC71C71C6|- rs1_val==-1431655766 and rs2_val==2863311530<br>                                                                                                                                                             |[0x80002aec]:mulhsu a2, a0, a1<br> [0x80002af0]:sw a2, 1984(ra)<br>   |
| 510|[0x80005a00]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                                                             |[0x80002b04]:mulhsu a2, a0, a1<br> [0x80002b08]:sw a2, 1988(ra)<br>   |
| 511|[0x80005a04]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                                                      |[0x80002b18]:mulhsu a2, a0, a1<br> [0x80002b1c]:sw a2, 1992(ra)<br>   |
| 512|[0x80005a08]<br>0x00005555|- rs1_val==1431655765 and rs2_val==65536<br>                                                                                                                                                                   |[0x80002b2c]:mulhsu a2, a0, a1<br> [0x80002b30]:sw a2, 1996(ra)<br>   |
| 513|[0x80005a0c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==1<br>                                                                                                                                                                       |[0x80002b40]:mulhsu a2, a0, a1<br> [0x80002b44]:sw a2, 2000(ra)<br>   |
| 514|[0x80005a10]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                                                                   |[0x80002b58]:mulhsu a2, a0, a1<br> [0x80002b5c]:sw a2, 2004(ra)<br>   |
| 515|[0x80005a14]<br>0x22222222|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                                                              |[0x80002b70]:mulhsu a2, a0, a1<br> [0x80002b74]:sw a2, 2008(ra)<br>   |
| 516|[0x80005a18]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                                                               |[0x80002b88]:mulhsu a2, a0, a1<br> [0x80002b8c]:sw a2, 2012(ra)<br>   |
| 517|[0x80005a1c]<br>0x00000001|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                                                       |[0x80002b9c]:mulhsu a2, a0, a1<br> [0x80002ba0]:sw a2, 2016(ra)<br>   |
| 518|[0x80005a20]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311531<br>                                                                                                                                                              |[0x80002bb4]:mulhsu a2, a0, a1<br> [0x80002bb8]:sw a2, 2020(ra)<br>   |
| 519|[0x80005a24]<br>0x1C71C71C|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                                                              |[0x80002bcc]:mulhsu a2, a0, a1<br> [0x80002bd0]:sw a2, 2024(ra)<br>   |
| 520|[0x80005a28]<br>0x00000001|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                                                       |[0x80002be0]:mulhsu a2, a0, a1<br> [0x80002be4]:sw a2, 2028(ra)<br>   |
| 521|[0x80005a2c]<br>0x00005554|- rs1_val==1431655765 and rs2_val==65534<br>                                                                                                                                                                   |[0x80002bf8]:mulhsu a2, a0, a1<br> [0x80002bfc]:sw a2, 2032(ra)<br>   |
| 522|[0x80005a30]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                                                       |[0x80002c0c]:mulhsu a2, a0, a1<br> [0x80002c10]:sw a2, 2036(ra)<br>   |
| 523|[0x80005a34]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                                                            |[0x80002c20]:mulhsu a2, a0, a1<br> [0x80002c24]:sw a2, 2040(ra)<br>   |
| 524|[0x80005a38]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                                                                   |[0x80002c38]:mulhsu a2, a0, a1<br> [0x80002c3c]:sw a2, 2044(ra)<br>   |
| 525|[0x80005a3c]<br>0x22222221|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                                                              |[0x80002c58]:mulhsu a2, a0, a1<br> [0x80002c5c]:sw a2, 0(ra)<br>      |
| 526|[0x80005a40]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                                                               |[0x80002c70]:mulhsu a2, a0, a1<br> [0x80002c74]:sw a2, 4(ra)<br>      |
| 527|[0x80005a44]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311529<br>                                                                                                                                                              |[0x80002c88]:mulhsu a2, a0, a1<br> [0x80002c8c]:sw a2, 8(ra)<br>      |
| 528|[0x80005a48]<br>0x1C71C71B|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80002ca0]:mulhsu a2, a0, a1<br> [0x80002ca4]:sw a2, 12(ra)<br>     |
| 529|[0x80005a4c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                                                       |[0x80002cb4]:mulhsu a2, a0, a1<br> [0x80002cb8]:sw a2, 16(ra)<br>     |
| 530|[0x80005a50]<br>0x00005554|- rs1_val==1431655765 and rs2_val==65535<br>                                                                                                                                                                   |[0x80002ccc]:mulhsu a2, a0, a1<br> [0x80002cd0]:sw a2, 20(ra)<br>     |
| 531|[0x80005a54]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                                                                   |[0x80002ce4]:mulhsu a2, a0, a1<br> [0x80002ce8]:sw a2, 24(ra)<br>     |
| 532|[0x80005a58]<br>0x22222221|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                                                              |[0x80002cfc]:mulhsu a2, a0, a1<br> [0x80002d00]:sw a2, 28(ra)<br>     |
| 533|[0x80005a5c]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                                                               |[0x80002d14]:mulhsu a2, a0, a1<br> [0x80002d18]:sw a2, 32(ra)<br>     |
| 534|[0x80005a60]<br>0x00000001|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                                                       |[0x80002d28]:mulhsu a2, a0, a1<br> [0x80002d2c]:sw a2, 36(ra)<br>     |
| 535|[0x80005a64]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311530<br>                                                                                                                                                              |[0x80002d40]:mulhsu a2, a0, a1<br> [0x80002d44]:sw a2, 40(ra)<br>     |
| 536|[0x80005a68]<br>0x1C71C71C|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                                                              |[0x80002d58]:mulhsu a2, a0, a1<br> [0x80002d5c]:sw a2, 44(ra)<br>     |
| 537|[0x80005a6c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                                                       |[0x80002d6c]:mulhsu a2, a0, a1<br> [0x80002d70]:sw a2, 48(ra)<br>     |
| 538|[0x80005a70]<br>0x00000000|- rs1_val==3 and rs2_val==65536<br>                                                                                                                                                                            |[0x80002d7c]:mulhsu a2, a0, a1<br> [0x80002d80]:sw a2, 52(ra)<br>     |
| 539|[0x80005a74]<br>0x00000000|- rs1_val==3 and rs2_val==1<br>                                                                                                                                                                                |[0x80002d8c]:mulhsu a2, a0, a1<br> [0x80002d90]:sw a2, 56(ra)<br>     |
| 540|[0x80005a78]<br>0x00000000|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                                                            |[0x80002da0]:mulhsu a2, a0, a1<br> [0x80002da4]:sw a2, 60(ra)<br>     |
| 541|[0x80005a7c]<br>0x00000001|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x80002db4]:mulhsu a2, a0, a1<br> [0x80002db8]:sw a2, 64(ra)<br>     |
| 542|[0x80005a80]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                                                        |[0x80002dc8]:mulhsu a2, a0, a1<br> [0x80002dcc]:sw a2, 68(ra)<br>     |
| 543|[0x80005a84]<br>0x00000000|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                |[0x80002dd8]:mulhsu a2, a0, a1<br> [0x80002ddc]:sw a2, 72(ra)<br>     |
| 544|[0x80005a88]<br>0x00000002|- rs1_val==3 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x80002dec]:mulhsu a2, a0, a1<br> [0x80002df0]:sw a2, 76(ra)<br>     |
| 545|[0x80005a8c]<br>0x00000001|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x80002e00]:mulhsu a2, a0, a1<br> [0x80002e04]:sw a2, 80(ra)<br>     |
| 546|[0x80005a90]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                |[0x80002e10]:mulhsu a2, a0, a1<br> [0x80002e14]:sw a2, 84(ra)<br>     |
| 547|[0x80005a94]<br>0x00000000|- rs1_val==3 and rs2_val==65534<br>                                                                                                                                                                            |[0x80002e24]:mulhsu a2, a0, a1<br> [0x80002e28]:sw a2, 88(ra)<br>     |
| 548|[0x80005a98]<br>0x00000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                |[0x80002e34]:mulhsu a2, a0, a1<br> [0x80002e38]:sw a2, 92(ra)<br>     |
| 549|[0x80005a9c]<br>0x00000000|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                                                            |[0x80002e48]:mulhsu a2, a0, a1<br> [0x80002e4c]:sw a2, 96(ra)<br>     |
| 550|[0x80005aa0]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x80002e5c]:mulhsu a2, a0, a1<br> [0x80002e60]:sw a2, 100(ra)<br>    |
| 551|[0x80005aa4]<br>0x00000000|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                                                        |[0x80002e70]:mulhsu a2, a0, a1<br> [0x80002e74]:sw a2, 104(ra)<br>    |
| 552|[0x80005aa8]<br>0x00000001|- rs1_val==3 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x80002e84]:mulhsu a2, a0, a1<br> [0x80002e88]:sw a2, 108(ra)<br>    |
| 553|[0x80005aac]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x80002e98]:mulhsu a2, a0, a1<br> [0x80002e9c]:sw a2, 112(ra)<br>    |
| 554|[0x80005ab0]<br>0x00000000|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                                |[0x80002ea8]:mulhsu a2, a0, a1<br> [0x80002eac]:sw a2, 116(ra)<br>    |
| 555|[0x80005ab4]<br>0x00000000|- rs1_val==3 and rs2_val==65535<br>                                                                                                                                                                            |[0x80002ebc]:mulhsu a2, a0, a1<br> [0x80002ec0]:sw a2, 120(ra)<br>    |
| 556|[0x80005ab8]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                                                            |[0x80002ed0]:mulhsu a2, a0, a1<br> [0x80002ed4]:sw a2, 124(ra)<br>    |
| 557|[0x80005abc]<br>0x00000001|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x80002ee4]:mulhsu a2, a0, a1<br> [0x80002ee8]:sw a2, 128(ra)<br>    |
| 558|[0x80005ac0]<br>0x00000000|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                                                        |[0x80002ef8]:mulhsu a2, a0, a1<br> [0x80002efc]:sw a2, 132(ra)<br>    |
| 559|[0x80005ac4]<br>0x00000000|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                |[0x80002f08]:mulhsu a2, a0, a1<br> [0x80002f0c]:sw a2, 136(ra)<br>    |
| 560|[0x80005ac8]<br>0x00000001|- rs1_val==3 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x80002f1c]:mulhsu a2, a0, a1<br> [0x80002f20]:sw a2, 140(ra)<br>    |
| 561|[0x80005acc]<br>0x00000000|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x80002f30]:mulhsu a2, a0, a1<br> [0x80002f34]:sw a2, 144(ra)<br>    |
| 562|[0x80005ad0]<br>0x00000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                |[0x80002f40]:mulhsu a2, a0, a1<br> [0x80002f44]:sw a2, 148(ra)<br>    |
| 563|[0x80005ad4]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                                                        |[0x80002f54]:mulhsu a2, a0, a1<br> [0x80002f58]:sw a2, 152(ra)<br>    |
| 564|[0x80005ad8]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311530<br>                                                                                                                                                               |[0x80002f6c]:mulhsu a2, a0, a1<br> [0x80002f70]:sw a2, 156(ra)<br>    |
| 565|[0x80005adc]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                                                               |[0x80002f84]:mulhsu a2, a0, a1<br> [0x80002f88]:sw a2, 160(ra)<br>    |
| 566|[0x80005ae0]<br>0x00000000|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                                                        |[0x80002f98]:mulhsu a2, a0, a1<br> [0x80002f9c]:sw a2, 164(ra)<br>    |
| 567|[0x80005ae4]<br>0x00005555|- rs1_val==1431655764 and rs2_val==65536<br>                                                                                                                                                                   |[0x80002fac]:mulhsu a2, a0, a1<br> [0x80002fb0]:sw a2, 168(ra)<br>    |
| 568|[0x80005ae8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==1<br>                                                                                                                                                                       |[0x80002fc0]:mulhsu a2, a0, a1<br> [0x80002fc4]:sw a2, 172(ra)<br>    |
| 569|[0x80005aec]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                                                                   |[0x80002fd8]:mulhsu a2, a0, a1<br> [0x80002fdc]:sw a2, 176(ra)<br>    |
| 570|[0x80005af0]<br>0xFFFFFFFE|- rs2_val == (2**(xlen)-1)<br>                                                                                                                                                                                 |[0x80002fe8]:mulhsu a2, a0, a1<br> [0x80002fec]:sw a2, 180(ra)<br>    |
| 571|[0x80005af4]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                                                              |[0x80003000]:mulhsu a2, a0, a1<br> [0x80003004]:sw a2, 184(ra)<br>    |
| 572|[0x80005af8]<br>0x11111111|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                                                               |[0x80003018]:mulhsu a2, a0, a1<br> [0x8000301c]:sw a2, 188(ra)<br>    |
| 573|[0x80005afc]<br>0x00000001|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                                                       |[0x8000302c]:mulhsu a2, a0, a1<br> [0x80003030]:sw a2, 192(ra)<br>    |
| 574|[0x80005b00]<br>0x38E38E38|- rs1_val==1431655764 and rs2_val==2863311531<br>                                                                                                                                                              |[0x80003044]:mulhsu a2, a0, a1<br> [0x80003048]:sw a2, 196(ra)<br>    |
| 575|[0x80005b04]<br>0x1C71C71C|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                                                              |[0x8000305c]:mulhsu a2, a0, a1<br> [0x80003060]:sw a2, 200(ra)<br>    |
| 576|[0x80005b08]<br>0x00000001|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                                                       |[0x80003070]:mulhsu a2, a0, a1<br> [0x80003074]:sw a2, 204(ra)<br>    |
| 577|[0x80005b0c]<br>0x00005554|- rs1_val==1431655764 and rs2_val==65534<br>                                                                                                                                                                   |[0x80003088]:mulhsu a2, a0, a1<br> [0x8000308c]:sw a2, 208(ra)<br>    |
| 578|[0x80005b10]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                                                       |[0x8000309c]:mulhsu a2, a0, a1<br> [0x800030a0]:sw a2, 212(ra)<br>    |
| 579|[0x80005b14]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                                                                   |[0x800030b4]:mulhsu a2, a0, a1<br> [0x800030b8]:sw a2, 216(ra)<br>    |
| 580|[0x80005b18]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                                                              |[0x800030cc]:mulhsu a2, a0, a1<br> [0x800030d0]:sw a2, 220(ra)<br>    |
| 581|[0x80005b1c]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                                                               |[0x800030e4]:mulhsu a2, a0, a1<br> [0x800030e8]:sw a2, 224(ra)<br>    |
| 582|[0x80005b20]<br>0x38E38E37|- rs1_val==1431655764 and rs2_val==2863311529<br>                                                                                                                                                              |[0x800030fc]:mulhsu a2, a0, a1<br> [0x80003100]:sw a2, 228(ra)<br>    |
| 583|[0x80005b24]<br>0x1C71C71B|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                                                              |[0x80003114]:mulhsu a2, a0, a1<br> [0x80003118]:sw a2, 232(ra)<br>    |
| 584|[0x80005b28]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                                                       |[0x80003128]:mulhsu a2, a0, a1<br> [0x8000312c]:sw a2, 236(ra)<br>    |
| 585|[0x80005b2c]<br>0x00005554|- rs1_val==1431655764 and rs2_val==65535<br>                                                                                                                                                                   |[0x80003140]:mulhsu a2, a0, a1<br> [0x80003144]:sw a2, 240(ra)<br>    |
| 586|[0x80005b30]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                                                                   |[0x80003158]:mulhsu a2, a0, a1<br> [0x8000315c]:sw a2, 244(ra)<br>    |
| 587|[0x80005b34]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                                                              |[0x80003170]:mulhsu a2, a0, a1<br> [0x80003174]:sw a2, 248(ra)<br>    |
| 588|[0x80005b38]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                                                               |[0x80003188]:mulhsu a2, a0, a1<br> [0x8000318c]:sw a2, 252(ra)<br>    |
| 589|[0x80005b3c]<br>0x00000001|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                                                       |[0x8000319c]:mulhsu a2, a0, a1<br> [0x800031a0]:sw a2, 256(ra)<br>    |
| 590|[0x80005b40]<br>0x38E38E37|- rs1_val==1431655764 and rs2_val==2863311530<br>                                                                                                                                                              |[0x800031b4]:mulhsu a2, a0, a1<br> [0x800031b8]:sw a2, 260(ra)<br>    |
| 591|[0x80005b44]<br>0x1C71C71B|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                                                              |[0x800031cc]:mulhsu a2, a0, a1<br> [0x800031d0]:sw a2, 264(ra)<br>    |
| 592|[0x80005b48]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                                                       |[0x800031e0]:mulhsu a2, a0, a1<br> [0x800031e4]:sw a2, 268(ra)<br>    |
| 593|[0x80005b4c]<br>0x00000000|- rs1_val==2 and rs2_val==65536<br>                                                                                                                                                                            |[0x800031f0]:mulhsu a2, a0, a1<br> [0x800031f4]:sw a2, 272(ra)<br>    |
| 594|[0x80005b50]<br>0x00000000|- rs1_val==2 and rs2_val==1<br>                                                                                                                                                                                |[0x80003200]:mulhsu a2, a0, a1<br> [0x80003204]:sw a2, 276(ra)<br>    |
| 595|[0x80005b54]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                                                            |[0x80003214]:mulhsu a2, a0, a1<br> [0x80003218]:sw a2, 280(ra)<br>    |
| 596|[0x80005b58]<br>0x00000000|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                                                       |[0x80003228]:mulhsu a2, a0, a1<br> [0x8000322c]:sw a2, 284(ra)<br>    |
| 597|[0x80005b5c]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                                                        |[0x8000323c]:mulhsu a2, a0, a1<br> [0x80003240]:sw a2, 288(ra)<br>    |
| 598|[0x80005b60]<br>0x00000000|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                |[0x8000324c]:mulhsu a2, a0, a1<br> [0x80003250]:sw a2, 292(ra)<br>    |
| 599|[0x80005b64]<br>0x00000001|- rs1_val==2 and rs2_val==2863311531<br>                                                                                                                                                                       |[0x80003260]:mulhsu a2, a0, a1<br> [0x80003264]:sw a2, 296(ra)<br>    |
| 600|[0x80005b68]<br>0x00000000|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                                                       |[0x80003274]:mulhsu a2, a0, a1<br> [0x80003278]:sw a2, 300(ra)<br>    |
| 601|[0x80005b6c]<br>0x00000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                |[0x80003284]:mulhsu a2, a0, a1<br> [0x80003288]:sw a2, 304(ra)<br>    |
| 602|[0x80005b70]<br>0x00000000|- rs1_val==2 and rs2_val==65534<br>                                                                                                                                                                            |[0x80003298]:mulhsu a2, a0, a1<br> [0x8000329c]:sw a2, 308(ra)<br>    |
| 603|[0x80005b74]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                                |[0x800032a8]:mulhsu a2, a0, a1<br> [0x800032ac]:sw a2, 312(ra)<br>    |
| 604|[0x80005b78]<br>0x00000000|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                                                            |[0x800032bc]:mulhsu a2, a0, a1<br> [0x800032c0]:sw a2, 316(ra)<br>    |
| 605|[0x80005b7c]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                                                       |[0x800032d0]:mulhsu a2, a0, a1<br> [0x800032d4]:sw a2, 320(ra)<br>    |
| 606|[0x80005b80]<br>0x00000000|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                                                        |[0x800032e4]:mulhsu a2, a0, a1<br> [0x800032e8]:sw a2, 324(ra)<br>    |
| 607|[0x80005b84]<br>0x00000001|- rs1_val==2 and rs2_val==2863311529<br>                                                                                                                                                                       |[0x800032f8]:mulhsu a2, a0, a1<br> [0x800032fc]:sw a2, 328(ra)<br>    |
| 608|[0x80005b88]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                                                       |[0x8000330c]:mulhsu a2, a0, a1<br> [0x80003310]:sw a2, 332(ra)<br>    |
| 609|[0x80005b8c]<br>0x00000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                |[0x8000331c]:mulhsu a2, a0, a1<br> [0x80003320]:sw a2, 336(ra)<br>    |
| 610|[0x80005b90]<br>0x00000000|- rs1_val==2 and rs2_val==65535<br>                                                                                                                                                                            |[0x80003330]:mulhsu a2, a0, a1<br> [0x80003334]:sw a2, 340(ra)<br>    |
| 611|[0x80005b94]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                                                            |[0x80003344]:mulhsu a2, a0, a1<br> [0x80003348]:sw a2, 344(ra)<br>    |
| 612|[0x80005b98]<br>0x00000000|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                                                       |[0x80003358]:mulhsu a2, a0, a1<br> [0x8000335c]:sw a2, 348(ra)<br>    |
| 613|[0x80005b9c]<br>0x00000000|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                                                        |[0x8000336c]:mulhsu a2, a0, a1<br> [0x80003370]:sw a2, 352(ra)<br>    |
| 614|[0x80005ba0]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                |[0x8000337c]:mulhsu a2, a0, a1<br> [0x80003380]:sw a2, 356(ra)<br>    |
| 615|[0x80005ba4]<br>0x00000001|- rs1_val==2 and rs2_val==2863311530<br>                                                                                                                                                                       |[0x80003390]:mulhsu a2, a0, a1<br> [0x80003394]:sw a2, 360(ra)<br>    |
| 616|[0x80005ba8]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                                                       |[0x800033a4]:mulhsu a2, a0, a1<br> [0x800033a8]:sw a2, 364(ra)<br>    |
| 617|[0x80005bac]<br>0x00000000|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                |[0x800033b4]:mulhsu a2, a0, a1<br> [0x800033b8]:sw a2, 368(ra)<br>    |
| 618|[0x80005bb0]<br>0x00000000|- rs1_val==46340 and rs2_val==65536<br>                                                                                                                                                                        |[0x800033c8]:mulhsu a2, a0, a1<br> [0x800033cc]:sw a2, 372(ra)<br>    |
| 619|[0x80005bb4]<br>0x00000000|- rs1_val==46340 and rs2_val==1<br>                                                                                                                                                                            |[0x800033dc]:mulhsu a2, a0, a1<br> [0x800033e0]:sw a2, 376(ra)<br>    |
| 620|[0x80005bb8]<br>0x00000000|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                                                        |[0x800033f4]:mulhsu a2, a0, a1<br> [0x800033f8]:sw a2, 380(ra)<br>    |
| 621|[0x80005bbc]<br>0x00004868|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                                                                   |[0x8000340c]:mulhsu a2, a0, a1<br> [0x80003410]:sw a2, 384(ra)<br>    |
| 622|[0x80005bc0]<br>0x00002434|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                                                    |[0x80003424]:mulhsu a2, a0, a1<br> [0x80003428]:sw a2, 388(ra)<br>    |
| 623|[0x80005bc4]<br>0x00000000|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                                                            |[0x80003438]:mulhsu a2, a0, a1<br> [0x8000343c]:sw a2, 392(ra)<br>    |
| 624|[0x80005bc8]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311531<br>                                                                                                                                                                   |[0x80003450]:mulhsu a2, a0, a1<br> [0x80003454]:sw a2, 396(ra)<br>    |
| 625|[0x80005bcc]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                                                                   |[0x80003468]:mulhsu a2, a0, a1<br> [0x8000346c]:sw a2, 400(ra)<br>    |
| 626|[0x80005bd0]<br>0x00000000|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                                                            |[0x8000347c]:mulhsu a2, a0, a1<br> [0x80003480]:sw a2, 404(ra)<br>    |
| 627|[0x80005bd4]<br>0x00000000|- rs1_val==46340 and rs2_val==65534<br>                                                                                                                                                                        |[0x80003494]:mulhsu a2, a0, a1<br> [0x80003498]:sw a2, 408(ra)<br>    |
| 628|[0x80005bd8]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                                                            |[0x800034a8]:mulhsu a2, a0, a1<br> [0x800034ac]:sw a2, 412(ra)<br>    |
| 629|[0x80005bdc]<br>0x00000000|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                                                        |[0x800034c0]:mulhsu a2, a0, a1<br> [0x800034c4]:sw a2, 416(ra)<br>    |
| 630|[0x80005be0]<br>0x00004867|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                                                                   |[0x800034d8]:mulhsu a2, a0, a1<br> [0x800034dc]:sw a2, 420(ra)<br>    |
| 631|[0x80005be4]<br>0x00002433|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                                                    |[0x800034f0]:mulhsu a2, a0, a1<br> [0x800034f4]:sw a2, 424(ra)<br>    |
| 632|[0x80005be8]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311529<br>                                                                                                                                                                   |[0x80003508]:mulhsu a2, a0, a1<br> [0x8000350c]:sw a2, 428(ra)<br>    |
| 633|[0x80005bec]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                                                                   |[0x80003520]:mulhsu a2, a0, a1<br> [0x80003524]:sw a2, 432(ra)<br>    |
| 634|[0x80005bf0]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                                                            |[0x80003534]:mulhsu a2, a0, a1<br> [0x80003538]:sw a2, 436(ra)<br>    |
| 635|[0x80005bf4]<br>0x00000000|- rs1_val==46340 and rs2_val==65535<br>                                                                                                                                                                        |[0x8000354c]:mulhsu a2, a0, a1<br> [0x80003550]:sw a2, 440(ra)<br>    |
| 636|[0x80005bf8]<br>0x00000000|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                                                        |[0x80003564]:mulhsu a2, a0, a1<br> [0x80003568]:sw a2, 444(ra)<br>    |
| 637|[0x80005bfc]<br>0x00004867|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                                                                   |[0x8000357c]:mulhsu a2, a0, a1<br> [0x80003580]:sw a2, 448(ra)<br>    |
| 638|[0x80005c00]<br>0x00002433|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                                                    |[0x80003594]:mulhsu a2, a0, a1<br> [0x80003598]:sw a2, 452(ra)<br>    |
| 639|[0x80005c04]<br>0x00000000|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                                                            |[0x800035a8]:mulhsu a2, a0, a1<br> [0x800035ac]:sw a2, 456(ra)<br>    |
| 640|[0x80005c08]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311530<br>                                                                                                                                                                   |[0x800035c0]:mulhsu a2, a0, a1<br> [0x800035c4]:sw a2, 460(ra)<br>    |
| 641|[0x80005c0c]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                                                                   |[0x800035d8]:mulhsu a2, a0, a1<br> [0x800035dc]:sw a2, 464(ra)<br>    |
| 642|[0x80005c10]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65536<br>                                                                                                                                                                       |[0x800035ec]:mulhsu a2, a0, a1<br> [0x800035f0]:sw a2, 468(ra)<br>    |
| 643|[0x80005c14]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==1<br>                                                                                                                                                                           |[0x80003600]:mulhsu a2, a0, a1<br> [0x80003604]:sw a2, 472(ra)<br>    |
| 644|[0x80005c18]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                                                       |[0x80003618]:mulhsu a2, a0, a1<br> [0x8000361c]:sw a2, 476(ra)<br>    |
| 645|[0x80005c1c]<br>0xFFFFB797|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                                                                  |[0x80003630]:mulhsu a2, a0, a1<br> [0x80003634]:sw a2, 480(ra)<br>    |
| 646|[0x80005c20]<br>0xFFFFDBCB|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                                                                   |[0x80003648]:mulhsu a2, a0, a1<br> [0x8000364c]:sw a2, 484(ra)<br>    |
| 647|[0x80005c24]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                                                           |[0x8000365c]:mulhsu a2, a0, a1<br> [0x80003660]:sw a2, 488(ra)<br>    |
| 648|[0x80005c28]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311531<br>                                                                                                                                                                  |[0x80003674]:mulhsu a2, a0, a1<br> [0x80003678]:sw a2, 492(ra)<br>    |
| 649|[0x80005c2c]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                                                                  |[0x8000368c]:mulhsu a2, a0, a1<br> [0x80003690]:sw a2, 496(ra)<br>    |
| 650|[0x80005c30]<br>0x000BFFFF|- rs2_val == 3221225471<br>                                                                                                                                                                                    |[0x800036a0]:mulhsu a2, a0, a1<br> [0x800036a4]:sw a2, 500(ra)<br>    |
| 651|[0x80005c34]<br>0x59999997|- rs2_val == 3758096383<br>                                                                                                                                                                                    |[0x800036b8]:mulhsu a2, a0, a1<br> [0x800036bc]:sw a2, 504(ra)<br>    |
